GNU bug report logs - #56998
29.0.50; quail input methods broken (input-method-alist empty) on master (since 261d6afd6)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Štěpán Němec <stepnem@HIDDEN>; Keywords: moreinfo; merged with #57010; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 56998 <at> debbugs.gnu.org and Štěpán Němec <stepnem@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 6 Aug 2022 12:10:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 08:10:40 2022
Received: from localhost ([127.0.0.1]:32934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKIdZ-0006Cr-1j
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2022 08:10:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oKIdX-0006Ce-5b
 for 56998 <at> debbugs.gnu.org; Sat, 06 Aug 2022 08:10:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=G/h1xMkPjuv6zmvqnGVqhjQZIuaa113t/HKilAr8E+s=; b=uvlw8xpKkVhCjndertFYo/tdGe
 LVxDEOPWChzF5i1vHLyMI08G+l/hiCWEs5ZVVnS8QzayqSKPKNo6nBW97xPdzkQ8vxuawnOPifey4
 7RkiJHajcgaC9sLeKScIBX7pSfQBSo/MjRAkzuhgu90HGSaF1aiFmjGIDmcnR8WR/kHk=;
Received: from 2.151.51.97.tmi.telenormobil.no ([2.151.51.97] helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oKIdP-0003ea-6B; Sat, 06 Aug 2022 14:10:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <20220806122637+0200.546710-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Sat, 06 Aug 2022 12:26:37 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <875yj68io7.fsf@HIDDEN>
 <20220806122637+0200.546710-stepnem@HIDDEN>
Date: Sat, 06 Aug 2022 14:10:26 +0200
Message-ID: <87a68h7etp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Štěpán Němec <stepnem@HIDDEN> writes: > Yes, I don't
    see the issue any more (currently as of commit 870be1e106dc). Thanks for
   checking; I'm closing this bug report, then. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
  0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

> Yes, I don't see the issue any more (currently as of commit 870be1e106dc).

Thanks for checking; I'm closing this bug report, then.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 6 Aug 2022 10:25:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 06:25:37 2022
Received: from localhost ([127.0.0.1]:32824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKGzx-0001N1-24
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2022 06:25:37 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:51124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1oKGzt-0001Mn-AL
 for 56998 <at> debbugs.gnu.org; Sat, 06 Aug 2022 06:25:35 -0400
Received: by mail-wm1-f46.google.com with SMTP id v5so2474002wmj.0
 for <56998 <at> debbugs.gnu.org>; Sat, 06 Aug 2022 03:25:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=iwLoXXtrmfE1t6IxtEW2VP68/dASuu79LF07t4J+/fU=;
 b=lbGDIbhc5SlNopqv11GBfg6mk/ofX1HwDrXj4D+zLIJ/oCg+wNVjQ3Erk48naJUuOu
 2ngIJTM/ixF+yOQJKk+r1w/C4qgTcIV/Jm7NysNqtnfSlMr4PFKPd0sJgnmYxOC8/W/F
 wL8GHQ/4mACFen5zQ/dJMqf/JXgJ+2Iy6G0CJj1nb/l9y9SGqVYki9/3vh8uG1+sWvDp
 Av4WNyzHlWwItVoCEyg5/IbO3bDvznnsJ8EpEgsxNkHONnfeEshWRRhaxtQCUfGPvHT6
 HM2034h/NzZCqtD5Xx9a/U+D2Ji10C8Ln/VwnSCFNE/kVgI4ltBDFak3lqd3RwtaR8jF
 w/yg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=iwLoXXtrmfE1t6IxtEW2VP68/dASuu79LF07t4J+/fU=;
 b=xrNHciRYcHZz98KXh+vij0Puz9b9Kr2R7G9mmZSZJgdUdaI8CsiX5s5HKu/HBPvYsj
 +OPC2S3t2Irw/VGuB5uPD81TnyFf0SCbALilrozFRO9Uct3pB0vdxuM+QoabiKNHiBbd
 i97kTtPAKbPYVp+c+0XMtHpSaEFvCANmPrsSNNFVN5j3mMSdHQCwlAya/aClV+mfpTkR
 FAGpanYeyrFys3eINs9uGAs/KxUzFJlGwS4+HAVLVhRUH1lKuX3sChGiQqldF2NnXHkb
 rReDs0yyxjczarigquBrbzw5dLzhlS8vnBOJM4zm9GXpjtTKVkBbNmsIxbATVssytbW2
 BwnQ==
X-Gm-Message-State: ACgBeo11s4Qb7XIC9E/WQy7qy7b66nfWCddgQmJ3gg0NVY7wqmYeANlK
 QGMfqRxxLVCsNcNJIoRnk5I=
X-Google-Smtp-Source: AA6agR5oxeOY597KMaMCGWW6X8VPvGHGdqUeK4MOsX+5INjyCRda6KLdb8CHX7G+EEZOpjiHuMy0fA==
X-Received: by 2002:a1c:7401:0:b0:3a3:182f:7be9 with SMTP id
 p1-20020a1c7401000000b003a3182f7be9mr11760534wmc.189.1659781527455; 
 Sat, 06 Aug 2022 03:25:27 -0700 (PDT)
Received: from localhost (internet-185-112-167-45.cznet.cz. [185.112.167.45])
 by smtp.gmail.com with ESMTPSA id
 o20-20020a05600c511400b003a5262203ffsm2745390wms.14.2022.08.06.03.25.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 06 Aug 2022 03:25:26 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <875yj68io7.fsf@HIDDEN>
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <875yj68io7.fsf@HIDDEN>
User-Agent: Notmuch/0.36 (https://notmuchmail.org) Emacs/29.0.50
 (x86_64-pc-linux-gnu)
Date: Sat, 06 Aug 2022 12:26:37 +0200
Message-ID: <20220806122637+0200.546710-stepnem@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 05 Aug 2022 23:49:44 +0200
Lars Ingebrigtsen wrote:

> This should now be fixed, I think,

[...]

Yes, I don't see the issue any more (currently as of commit 870be1e106dc).

Thank you.

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.
Forcibly Merged 56998 57010. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 21:50:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 17:50:00 2022
Received: from localhost ([127.0.0.1]:60669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK5Ci-0003BG-Hb
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 17:50:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oK5Cg-0003B0-Om
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 17:50:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=uQvWuzHgqaf5I9x/yCNOl/sE/Rozk79H2kc249iPTn4=; b=fCL9mHFotr3YZyILoNkoLbUq3O
 VaRhAbMSHNjY7pTi+Ffp424hy5PluE7boMbISHbkKztVdqubRp7xJG8o8W+bJqAy60tlXMmeeHVRO
 1JywGbwpeIROfjRb5v9h0YhHJpuxq63nLup6Auw7XGYHjnH07TN2u5crdRvDpp/U2/v8=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oK5CX-0005bK-NC; Fri, 05 Aug 2022 23:49:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <20220805104841+0200.871739-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Fri, 05 Aug 2022 10:48:41 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
X-Now-Playing: Steve Reich's _Reich-Richter_: "Reich-Richter: Cross Fades"
Date: Fri, 05 Aug 2022 23:49:44 +0200
Message-ID: <875yj68io7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  This should now be fixed, I think, but these rules really
 need some work. Stefan's suggestion to use a single Makefile would make this
 sort of thing much easier... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This should now be fixed, I think, but these rules really need some
work.  Stefan's suggestion to use a single Makefile would make this sort
of thing much easier...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 18:34:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 14:34:38 2022
Received: from localhost ([127.0.0.1]:60571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK29d-0006cW-Om
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 14:34:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1oK29b-0006cK-P0
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 14:34:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43260)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1oK29V-0000nF-38; Fri, 05 Aug 2022 14:34:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=uHczZKT35KcTXB2YSmqIvO/9Bn+BMdzpuFolfjrU7Io=; b=GAMSLbutG0IG0+QVT//3
 Z5LeFm1I8V7+9b11iLefoa++Un0Y3PdAsJOeOzKwQROGnaluwDQJeFks/13FBm0yXatxxJDRkoVqw
 Pf9SbPV6zBv8rqeVNkk6DJqvjGXKGJycSC6pj+3TQ8j33OZb+Q9YBe3RYYW+LhSySYSD59qFN+0CT
 pLdXjWCkOuDKcPl60slxtJIfb9+pq9Y4SPLjho2ddMmGB2N7spmcyecM0aMGeX+Wi6YthNgBEPU9m
 GgXQur1N11QE4VXSvDblzRcKx4QjvjqgNUcSMl55XkCsUrmGna2YKrmL/VLgwB8Nu1MdzE+eRFQ5f
 l677ceMRVyarhA==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1oK29F-0004hI-20; Fri, 05 Aug 2022 14:34:17 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56998: 29.0.50;
 quail input methods broken (input-method-alist empty) on master
 (since 261d6afd6)
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN>
 <87k07m9857.fsf@HIDDEN> <83y1w2zvga.fsf@HIDDEN>
 <87fsia96ip.fsf@HIDDEN> <83v8r6ztu2.fsf@HIDDEN>
 <87les264e5.fsf@HIDDEN> <83k07mzhpi.fsf@HIDDEN>
X-Spook: JICC JFK UNSCOM M-14 Drug Enforcement Agency S Key Eco
X-Ran: C']I0|{$B;TD4;<_Wvj!`)]0s8G0x^bjR\^Z`-Q<YTcio$:fa-*Lo*#kTNR,rpGaY-tECv
X-Hue: brightyellow
X-Attribution: GM
Date: Fri, 05 Aug 2022 14:34:12 -0400
In-Reply-To: <83k07mzhpi.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 05 Aug
 2022 21:08:25 +0300")
Message-ID: <lj35eazgij.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 56998 <at> debbugs.gnu.org,
 stepnem@HIDDEN, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii wrote:

>> BTW, at neither of these points in time does leim-list.el exist,
>> regardless of load-path.
>
> _That's_ the problem.  Now the question becomes: why isn't it a
> prerequisite for the Emacs binary? it should be, IMO.

Please see "Comments on loaddefs generation" in lisp/Makefile.in in eg
emacs-28, in particular those relating to gen-lisp.
(Recent re-arrangements on master have changed things.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 18:08:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 14:08:35 2022
Received: from localhost ([127.0.0.1]:60517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK1kR-0005wo-JO
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 14:08:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oK1kO-0005wa-Pp
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 14:08:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42772)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oK1kJ-0004VM-5b; Fri, 05 Aug 2022 14:08:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=KiCW03wMhh4f/ZUMrv9e0dZQNi2tzywVlZtDPDuZjUc=; b=OZO5Gy1KH9+A
 opJIayY1T0lt92bNmJuiRKGB5IY071oZRKgaRGICLUSfVgPiH6n6vQy2HtrkRwqj1h1M0ALKyHrWO
 /iC7nd/adJouzSb1GytHXDl61qq5hz5Tm3yjQOLNyECWFfIRcWvGbrXvJSJucjV64FwgkY0FeIsGz
 p02iHnezs7z4htG9yQjAGF38b1iRzLrS9KSoib4ORY6GP9/iR3J+XFbRjt0qtoDg4ul6BqugWCFBz
 uuOhfE8LYawxO7GGpl6BRoLUftligVPiBicvx9RhjAo3phmWcQJYd4Si0lEgFzzVPHWrSabg6anhm
 gDtLrSTcP5pYnLAgkwa0bQ==;
Received: from [87.69.77.57] (port=4640 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oK1kI-0004tZ-Km; Fri, 05 Aug 2022 14:08:26 -0400
Date: Fri, 05 Aug 2022 21:08:25 +0300
Message-Id: <83k07mzhpi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87les264e5.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN>
 <87k07m9857.fsf@HIDDEN> <83y1w2zvga.fsf@HIDDEN>
 <87fsia96ip.fsf@HIDDEN> <83v8r6ztu2.fsf@HIDDEN> <87les264e5.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: larsi@HIDDEN, stepnem@HIDDEN, 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  56998 <at> debbugs.gnu.org,
>   stepnem@HIDDEN
> Date: Fri, 05 Aug 2022 19:28:50 +0300
> 
> I.e. before the first dump the load-path is:
> 
>   ("/home/blc/.local/src/emacs/lisp"
>    "/home/blc/.local/src/emacs/lisp/emacs-lisp"
>    "/home/blc/.local/src/emacs/lisp/progmodes"
>    "/home/blc/.local/src/emacs/lisp/language"
>    "/home/blc/.local/src/emacs/lisp/international"
>    "/home/blc/.local/src/emacs/lisp/textmodes"
>    "/home/blc/.local/src/emacs/lisp/vc")
> 
> And before the second dump:
> 
>   ("/home/blc/.local/src/emacs/lisp")

How is load-path relevant to this issue?  loadup.el says

  (load "leim/leim-list.el" t)

so it should find the file even if load-path includes only the lisp
directory.  Right?

> BTW, at neither of these points in time does leim-list.el exist,
> regardless of load-path.

_That's_ the problem.  Now the question becomes: why isn't it a
prerequisite for the Emacs binary? it should be, IMO.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 16:55:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 12:55:35 2022
Received: from localhost ([127.0.0.1]:60378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK0bm-00043B-PM
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 12:55:35 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:34567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1oK0bi-00042v-KU
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 12:55:33 -0400
Received: by mail-wr1-f52.google.com with SMTP id j1so3917602wrw.1
 for <56998 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 09:55:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc;
 bh=5n8nBg+yWL+Mfust0zn+GXF2/I9MCOI3SXx6aFJWig4=;
 b=OMfInezpgXa5Rf7TyubVFlWa86swG87FmVciEHdxKqYqioxhlakFHF0bZdY6FpgspT
 KGyr10xxfxBrHMXZCAn55EjpkW+Z8Ax34iXJ6DFMywQh4zqqOoJW2zUmtipj0M0bd1pB
 wKo+bAZuhRp0mYdbBO8y+LukELodYfz1Mp/HbCMTbO/DdQQY5yPhE9iEFvlCxo/4CPCf
 RUgOSLUuElc9Elgwa/kwlVtZ2bp2kdlriw3Hkjl7DJuMr3OOjW7HODLi7gtB9xBX+zDP
 5retENMWRcpDTsp1Lex+xRnq3Mwdm7nqjT7qQdRE07hQnl9WH8N+Ohhy8JvI1dhEuZwy
 TTOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc;
 bh=5n8nBg+yWL+Mfust0zn+GXF2/I9MCOI3SXx6aFJWig4=;
 b=aYeoRtiednp6tHycu4J0CzOKPSXDEx6/aHYOpvs1gSqfLqkpzb6YXZ1t9izCJDvYVO
 JDEIL0gPUKO8FPdTHPYObqBtLxY1DRU/F+sveICqdKSZyfVvhCEKWxE54JguoENECNjA
 ydHk1Ji1VUie57KZeMpfqQIOzCxIG+e2bcW8QGGmmhMmnxoy59FPqQYmLLyhXUzgZ06n
 g2nGRxjmzb3z8D7aUz95vGBAi98QrIbgAM7hsGKCYjNQmcfWrvwSdX/9fZvwoVYYcMF8
 RSndnOpBvr0HmO6jJxESQl42Z3bih1BPZqlg29DtmGlSa2YGeW8iWL5eP7OzPk3KHART
 w1Zg==
X-Gm-Message-State: ACgBeo0DaTkmj4uea//rZpbSWNE7a17Vx4mDA/JwKZb0cAIkX1rG6Rot
 4VkkAHc2w+JMoHIcuorHdGowkw==
X-Google-Smtp-Source: AA6agR44WdIq5L3dH8/t99t6sBc3IkQMQobVTtdQ7kMF5/wXxQOmr1VHgWxn41xsat3Okc9DfITF2g==
X-Received: by 2002:a5d:5848:0:b0:221:6d80:ced8 with SMTP id
 i8-20020a5d5848000000b002216d80ced8mr2440408wrf.705.1659718524676; 
 Fri, 05 Aug 2022 09:55:24 -0700 (PDT)
Received: from localhost ([2a02:587:3210:5499:5aa8:2361:2369:a559])
 by smtp.gmail.com with ESMTPSA id
 b4-20020adff904000000b0021e9fafa601sm4235716wrr.22.2022.08.05.09.55.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 09:55:23 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <87les264e5.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Fri, 05 Aug 2022 19:28:50 +0300")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN>
 <87k07m9857.fsf@HIDDEN> <83y1w2zvga.fsf@HIDDEN>
 <87fsia96ip.fsf@HIDDEN> <83v8r6ztu2.fsf@HIDDEN>
 <87les264e5.fsf@HIDDEN>
Date: Fri, 05 Aug 2022 19:55:21 +0300
Message-ID: <878ro2635y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, stepnem@HIDDEN,
 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Basil L. Contovounesios [2022-08-05 19:28 +0300] wrote:

> I.e. before the first dump the load-path is:
>
>   ("/home/blc/.local/src/emacs/lisp"
>    "/home/blc/.local/src/emacs/lisp/emacs-lisp"
>    "/home/blc/.local/src/emacs/lisp/progmodes"
>    "/home/blc/.local/src/emacs/lisp/language"
>    "/home/blc/.local/src/emacs/lisp/international"
>    "/home/blc/.local/src/emacs/lisp/textmodes"
>    "/home/blc/.local/src/emacs/lisp/vc")
>
> And before the second dump:
>
>   ("/home/blc/.local/src/emacs/lisp")

BTW, at neither of these points in time does leim-list.el exist,
regardless of load-path.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 16:29:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 12:29:03 2022
Received: from localhost ([127.0.0.1]:60365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK0C7-0003LA-5S
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 12:29:03 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:36643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1oK0C4-0003Kd-Eb
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 12:29:01 -0400
Received: by mail-wr1-f49.google.com with SMTP id j7so3832418wrh.3
 for <56998 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 09:29:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc;
 bh=v6edZMZw+m0cTRLVP53mbLKqGdGkZKgvzZ/V/cqAvYg=;
 b=ZeziGFzaDopxIJhpWlN4edHiAwXhFgveMqXUsefLFUPRaTSIoTJo9Atf9sdiYjE8tu
 Hrjd6aQmRie1og4c2lJMdeGy/0tdmbFxmnMoBex3uRtSp5kxYjGZONrUFINH2j7RX63B
 TOUllkcGn1G0FSJhJVucZv8CmuJymN0Jy7KvMgl0YMXP0Z+kvoqy+ywImTha5Pq66VlJ
 OsoAozUCqkEgNUuTZO7e02oCDp3xD1MOVeeps9w8P1bxORERGyu6+rrxjZ52DyyEwcyj
 x5YLy/wgycV3EfFTHAG2yA97DwLG3teEDP4FpFpczhdWkPxnZNzrKVHxf8jBVFtJ3xqz
 Ymzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc;
 bh=v6edZMZw+m0cTRLVP53mbLKqGdGkZKgvzZ/V/cqAvYg=;
 b=KrrQgrvFHPoLwTISHMFBOi3D+djT5h45myE/aR0BBqcmJg6tokAhxQ/HEDuVCzCCsZ
 lgl2MJAg052+4cSOfd0ZKkm5UQlr5mg5Z6Ffkz9k4IFx1jsKvZQO07ko/pWa3yqSHq6T
 JwbPvO6bS+97RBsYgU36pnmM+X9skoa1DUc7SFPNaNJIYYQB7FK63hsNgFHdZUBHiXO5
 PR8Wf1f1eK5kvSUe0w0TIDvSHsEVTkP6a8PYuhM33dy8F0RMsCt6idhHiw0VDA86xMvV
 yDCKhuTVEhlEsCGieNCYsPJizv5NfjuwkheHv2eQE4s4mMo8rJ5ESkx10ANHhB4zc3YL
 L+iw==
X-Gm-Message-State: ACgBeo2aM1TYJGb0UKDAqGJAORpiwTX4ca2kz3WGxiGvMSQAW3FeDyNi
 QsqNFHUBvYQJr5Zzx+I26I9Ncg==
X-Google-Smtp-Source: AA6agR6l1es0Nj+0+6hifdSloJIccB49nCHUDK6L83o2Tw2JBvcMUCO0TFXvvF/eDNPeyrRRI2j3tw==
X-Received: by 2002:a05:6000:381:b0:221:7507:bb24 with SMTP id
 u1-20020a056000038100b002217507bb24mr2136580wrf.373.1659716934341; 
 Fri, 05 Aug 2022 09:28:54 -0700 (PDT)
Received: from localhost ([2a02:587:3210:5499:5aa8:2361:2369:a559])
 by smtp.gmail.com with ESMTPSA id
 i29-20020a1c541d000000b003a5125049c9sm6042496wmb.9.2022.08.05.09.28.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 09:28:53 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <83v8r6ztu2.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 05 Aug
 2022 16:46:29 +0300")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN>
 <87k07m9857.fsf@HIDDEN> <83y1w2zvga.fsf@HIDDEN>
 <87fsia96ip.fsf@HIDDEN> <83v8r6ztu2.fsf@HIDDEN>
Date: Fri, 05 Aug 2022 19:28:50 +0300
Message-ID: <87les264e5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, stepnem@HIDDEN,
 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii [2022-08-05 16:46 +0300] wrote:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: stepnem@HIDDEN,  56998 <at> debbugs.gnu.org
>> Date: Fri, 05 Aug 2022 15:14:38 +0200
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> > Is the file lisp/leim/leim-list.el being produced and exists when
>> > Emacs is dumped?
>> 
>> Yup.  So I guess the problem is that the first build isn't loading that
>> file, for some reason?
>
> Maybe.  But how can it not load that file, when loadup.el explicitly
> says to load it?

With the following print-debug patch:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=foo.diff

diff --git a/lisp/loadup.el b/lisp/loadup.el
index 8dad382ac0..88bf1c20b4 100644
--- a/lisp/loadup.el
+++ b/lisp/loadup.el
@@ -376,7 +376,8 @@
 
 ;; This file doesn't exist when building a development version of Emacs
 ;; from the repository.  It is generated just after temacs is built.
-(load "leim/leim-list.el" t)
+(or (load "leim/leim-list.el" t)
+    (message ">>> load-path %S" load-path))
 
 ;; If you want additional libraries to be preloaded and their
 ;; doc strings kept in the DOC file rather than in core,

--=-=-=
Content-Type: text/plain


I get the following build log:


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=emacs-print.log.gz
Content-Transfer-Encoding: base64
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=
--=-=-=
Content-Type: text/plain


I.e. before the first dump the load-path is:

  ("/home/blc/.local/src/emacs/lisp"
   "/home/blc/.local/src/emacs/lisp/emacs-lisp"
   "/home/blc/.local/src/emacs/lisp/progmodes"
   "/home/blc/.local/src/emacs/lisp/language"
   "/home/blc/.local/src/emacs/lisp/international"
   "/home/blc/.local/src/emacs/lisp/textmodes"
   "/home/blc/.local/src/emacs/lisp/vc")

And before the second dump:

  ("/home/blc/.local/src/emacs/lisp")

After the build is done we get:

0. ./src/emacs -Q
1. C-\ TAB
   [No match]
2. C-g
3. M-: input-method-alist RET
   nil
4. M-: (seq-find (apply-partially #'string-search "leim") load-path)
   "/home/blc/.local/src/emacs/lisp/leim"

> What is the contents of that file in a build where input-method-alist
> is empty?

Here's ~blc/.local/src/emacs/lisp/leim/leim-list.el:


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=leim-list.el.gz
Content-Transfer-Encoding: base64

H4sICCw87WICA2xlaW0tbGlzdC5lbADMnduXE9WawN/9K/bq80CYoRroyxxAD4t0uoHQ3em2K63I
MOu4k1QnReoS6gKEJ0QR5XIUkZuCCAKColy8gbY+yMwrK3NmLT3zNug0Nz3L8yfMt3ddk1SldlXS
OEubVHa+vb9ffbX3t799qaqnn34aSYIoc5KoG/2ChDiOQ+QYqXNoYiw7iVITYkHDWp0kjMm4qKOs
UjMNNCkYFbW0FCHunyCHsEssYokriEpJVMprDJL61NNPw/8oXxF1NCdKAoJPbBqqjA0iLNVRWVAE
DRtCqb9NtqgqBhYVyBELhxQi00MdiQoyKgLSsSygkqgJRUOFfFiHVFtLP0ITKibEXhopQRPKoFPQ
QLsk0UJEqsRXMtXtYI/hYgUJigHFV2j5AppTNXkN+Q2hlFMcR0vhrFKs31A2Nz2b5ybH8hunRtFE
OrdhNr1hjMulJ8dQOpPPPpfOj3HrZ3MZWzyfzU+ModExPjOTnc5np3J2enpmA+rv76fnzwuChWAq
RUNUFfRiIMASwkgFZQErYAOd2JR8x1rZlOF03PPLzln28awoEiMUJbMklIg1XpTAjFwNG5Uly+zL
0nSlSSFExGd7hA2kG1gzzBoyRFnof+qpEEOhvmJFVARd4IaKqgY1pg/1ZeyUkeyG4T60ZLuJRYkz
IaGGi1VcFiDTwrvvPvzwrT7n4OGpsw/Oz69Z0wc/UfHlQxmrtKXRirGm4frgCjbFv80f/W3+TZD9
31uf3D++/+c9bz48d2jhtRNW+s97jngI6ZmZ9AtQLgNCsVhS9Vrdh7BhJATgwfyV+wfnQfL+jdcX
Pjnx8LujC/su/vTaV5C+8Oop+OnR2c/gq4eRyYxO8dMvMGEYEjYLjFfgwOsPbn5BOObPE475W8Dx
2/w7kP7o0McPLl5cmH8DBIAGEn00+QlscoVhZhwWmyy8dvLBzQvtNoH0R2+fc1gutFmGsLCACMWS
WDTY7PLw4A2wiFtBLLuQakLTH373ycK+W03VZCwzms3kmTCM3XXGi7PnnfufXW6HgPSFC1fgJzBF
M0R+C1MNqdXJtWNigKo40lI91qyx6qe/oU6/wFgb2JoHKNjQXhECmgVbi6gRN8t+ypdPjbQbHVIf
ffPeg6uXwEs1GX3aKZwVhMkA7+8PMsD7+x/svQ0MC298BV+3DgwNwt+KFhYWkO3bmM2xsO9yew2A
RHDY/hrw7CZGG2zfxuQM9l0OMICltqkGPLuJRam+k0Xpo0vHF65/167WSm9Syz/PotZQFYGtxj+8
/nJgh7Bw65L1U2vNz0/lxthq/25Rw4qMmSj2f/TglS/bKYjnoz9BzW+i2JKdSecm00wYKqvfe/Tu
l4F+D9IXPrgd4Pe2THX2e1jDBbEIBabtg0C1f7vtSjQFk/2eIrugjmeLZXqW5CNQzePLhx5fOURU
oWefH5vJg+fEOsRoJEuYXlpqJ62qXFN1AQqdza/nVoVo/mcCZknCYKLaHDKjnaJR8aLxqlBHurDd
FJSioJOIfDOaNCVD/DP84AezFXdgE3WVM6AG6lIE3uZVREAXOkCQODbD7UKrlpDfZFxDJWEO6hON
cD1FMEqKx1jUVIiDsUIM5B4GQm6cAZmtfbyBlRLWSlv7kJOBEBVUSPOrdgpj0M1t3yloRp0RoU0r
vX4qXE5ivfry3UjfiWtJUWoamHVXXBR/dVqGrDISE6i60T2CVUhShl2sFyOtwCgUSlJAcoeAAmmS
QhSLzBAqXHqt9yR1TZQkschtE3VOM3Xdbid2cghS43jjFEg1TjUuNT5ovNM41jjjVVUJ10lNpW0c
WvWmzOz4WA6lNmV5tHnFwIpV/StXrxqE0XpRJQP/pT5eopSAdAK2GTmjXhN2aqJBR6MzDjgzrZ0D
ecU43KksP4VWrRpezQ17kP0tlFJEP+FatWhWBeX/IaFjRuI+TRYjzsyGATpF2HgJLSXjolBSFcbq
N0lgXm8cAJD3G+cbJ7jGy41DbVXQ6npVBW2a5fuz/eMr+1esGErIpwtagRGOb4Pb2zjIBDecEM6s
ali0bTfrHYfw0Sv5SmO/x/dq4y9odnwmnc1l07l4DK5qf1WKYpgdb61Mbg6UmlVEqNOCHTiROTLI
bAUw41PZVdxs4kpv7i4IVc6VBIS/NL5q3Gh80fj6P/c3rocZjAq1AZOyelT369gNDiL97jUCcq3x
ln3xPkYzqky8BAmNippYIxOOCTGs8Eo0WDiIUFYxTJH0RFIdOXmt6eTWyh7zOhUECYODsurziO9L
IMzIWFRX5OgBMOiQ+PzI6uFhbvUQ8oomM6E05ItLakplrJHaDx0zV6vAiNCgNWvE+SHMgkcaZxoX
/IJNXfu0XVLrqZDASy2ZRTJjbreTxMRxaI8DbzPtkyAslHQ2U77dONcE51zNtpqQGhnllyZtHuYO
WiHz1mcgy1/P/9flv37K0ESdqX5aGFz6WgUXhLj+Y7dQrJDGan0GAmW2tI1oiLRnGHuR5nlRKak7
dZTLo5UrhsnPOtohaDqg+i8f1RSF5BvrLC7ZMnuMHeBl2EChqpa5lSygFltKURXOqVxLPVTSSZGy
NCzLZNXqDysTsgwsAstAQpbB3rOQ7hIcXEESvAkJGONjUzJiMAqyuk2MmG74x9lTe0FkjIg2z4QQ
JlGBcM4gLoqWhYoVrOEiWXD02cpS04nDqIhqjTrQMfcwiGZJqu/e4QP3Dl6/99ph1IdSNCMdhkOh
WC+KIqeDsID6/gxl3Tt8rm8p+ThPPhB6lhSI7MIovqMNpfJiWRPLCkZgepSW4TTEos+/uYQdzqIs
qFrZ6mo3uIeBNr338lt0YguuogwezJFu6vuJa0tBl+p5fx+Oq4oBx3MikVQXfUL2tXaDa9tBBMze
xIJRTL1aMTUxGuenz8nsX86W94yU8k8HLo3LoQkQuJKRMegnxyHK714BgbvH7n4D/31199u7t+9+
fffGGkSztPeFzSNy/3WiKiJ5ZHG3qRYrYgRUhkz156GlT9ry7e0xI2EYSxaxZKNaFUg2JYEz7dHA
ipUrVnADQ3Nz/bE5C9C1ShGQIw5kXtiMRkiGJ00pFupFUx+K4MyO2JxZS/wJUyaof1dD6587jfHH
+HXPm0GkhU/D1zCmyzGYaK9kl41wsUg2YSQFraqaAK6jgpVt2G674zQpbFVw/jzp/gd+uXno14Nn
oHFai3Jr0MMrNx8c+/Lvx07+cuBtZCX+euYkenT2m1/PvIL+fuz041t7SK6F+Td+PT3/y7nTaOHI
/ML+ryHHryeuokcv3bp/dL8H7gExwscDH+cziwnOCj3IQE1kBhNRD8akHuyEXREKmkCWMDfaB4G8
P553JRCf5VYODQ+ETfzaBUaq5JRkaiEbKml4zugaQKrvigQ4/cPnHsJEfXPXSudMSYo+7R8+/+Fj
T+96yNOFygLEvHSDniFqaqTuj374/MfLP5AFyxE7H7Ix8pC96/N3YXQx2g7ngOV0AAmfnUgOUhdL
JVGvcJpax9EIN38kLvwFKw8MpiFP96rpCqPCoPtDn+5xmim58pIAo31MJik4kUbNUPaomxbCAALZ
fJMgyuZn0jne00x2fXaOIH2aq3XVUMFJajug42MEGN/YDDBOy9hol5GMA4sFzKg+PdKsPk2yxtBa
M8EHF3xGn7YSQjROK9uoxW2pBOYum9swGQ15GjfYKSEqN2zTqEpHLIFOVRPr2FM4Rb6GaIPfqDYq
k0BVQVDKWPKd3YiVEBZcK2WqzpZKoBBCWiyTjSWuxrSdEqIyrctUpSOWQKchSGbZ9DTm6fcQfXnJ
OkVLKIG2KlYUXPJdv3ErIUTfuFKi+mypBAplDDEv/MmeykknKUTppGQZ1ZVLYlUsQ7meUcnXMJvK
kmVTItOlKq4klkWDSeNoi0prUGDnj63eN8veSfP/fEqCnIypG6os6pjMkFkMTv6wTieWyxXtCWjW
bodvdrvuaCnrlJPEB3sM0V6Y93nhrrR7DtlTz+CSeb9L7grA9s6e9ij/zLv+uSu9rqv2NEc7a97n
rLvS7vltTz2D5+b9nrsrAMeJe+oj3TjvufGuVLse3dMd7dN5n0/vSrvPvXv6WRw83+TguzO+5YB9
to/wvbzrenuol93186Ph+v29QH+SBljT1EIFM7W/aRLuTlvyzYspdtblI1gpSzhZfZDV3XTOlqEy
TGabKkPrRH+hjiZJYUl6pYKGKzLBGLEPgpdxjuy56cr0oC+sYriKIm1j1kGI1r2H4e9LV64HmmHg
XzENMuDJO0chut96D/5ueII9UK6T9S3id/p45yhE+avX4O8zT7AXymHwbO2bjlJ+/BP4u04ErSy9
UF6XVOj1IYChizc8/Ypy1tfgHdzvH378/oUW2R6QyGqJtjr6EWKAk5fg7xtbqgc6oRRy0afoR3Dc
efWoLdADdZIoF8jNYBPWZ/By3YVjjkQPNJbBIxkVTJcB7KMQ0x468Y8jh6FVH7ruCffilIVakeqf
sA+CT/r6u/euX7l3/QtXsBcVShAMQeRkXKfrMpP0K5q0vgZX7WsvP752oUW2ByQF6JIUGtH1jbiH
wYa4esUnxKIaBPQI9dswjFAs9Zvcw2ADXDrhE+qRet1USo5+3jsOPv9P37v36UW/YI8gCtjAVWpa
+hms/No+RyJY67K4WjVhGwQiZO+wfRBs9QvfPr542JXq0RnLuIp1rNEAxT4KafrffOQJ9Ui5RO6O
12i7d46CTX75LU+mR7rFGoZgEtNQMjudDlsonk5PW3s0rU2FqoIlb9Ne2t5wFkri6ugMEoXAQEA3
tEA0K+qVZWi9JihF+NwgaGSinexqyRrgLbDSxBZlnqqo6RVBKWBTjiLkxp0F9c6cy+yF9HGvaJTm
M9msGxX3x0LcxcHwNtqA3OZ4eJv6M/3oeUGS9CVoM8enJ6fT7FzbcM1zpLVOfiz980t7fVLNuxBg
WODb8egbL5DLCYNbzME/ZNeVqrRvMXQZGDitvVMMtDTsFuSaSp9cYV02G1ktCWR/uXWHlb3lsOls
XnS0LUlKuVtQqrhqRnP+Nn/Ob1Q7n7U7FCmmLGhwxd29amFtNxZbBVMdXBUuCwPgtzf8gHZmVCVd
ChTAVg0So4oaLjNhtlROJ+Pi4jlGYMDbe96Pt6jWkzBZbp4g/wbH/19ftH5v1q6LsilhukOS/BZ6
70q+gkWUz/L/MuC7T53o7IgE5XIrrR3z7jaeCSs1BHPlM55ISAto3rtDRltzIngXPxbJDlqj4QYC
4QZC4AY8uIEnADcYCDcYAjfowQ0+AbihQLihELghD27Itwl30eiGA+nC7lQf9uiGF5dujoY9LXBW
LBTCtn7mGVcEpdaDj7jzIRb1pYsAJ1oBWKz2ms0TPDt0Qyn7QF0MPMPUqmRDRzNe3koNm+yd+f5j
Twil8nfmteqdDwUmvv6YgCXToLdpjFqfgUC5CUfA10ZlcRdRHNLNs1V7OAMTK9YWZho/0MkXJzGE
ZsLINYm5sUePUJzuhI2lGaX91p6uoLCxo5XISgrD2eGJ9J5FDGxlYSiue4rn1+Ny5YXNETdbbN1K
SUAw4MkTZHwHcUw9+CYLi0AydrFEDE8+WiACLOHCkw8V2MgGf4c4gY1s6PcIEqLQKngnFpsfULHR
TkLTTlLwQxqe8csuLqUTy/wOcUwUWgmcNPTFrA11NE3QRmmmZpyUZkrCGpQeQ9xadOfVZWjKOjq5
DKXT9GjfMjS2deufltAvr8OXP5Gjn/ZeXRoXWtBrAlkQUJkby9gU4R5z8i2GJedEJZYp12dpQGjl
QineVGWxOZyJTWAFpb9DQBpFVqazg/57QGhCWCUbe8YVQalRwTT0YqU704hFQYKuXyyyB8Q8DYid
fCh157AuCYpexYtiISdm/z3i9Wj3VVUNzO2siAaZf2oOd8hPYfEOriJXBj1PsqON2ECqBgWXNVyr
1BOFP4y8uqSykvITU4iu8ZTLgk4eh2AzT8UijQ2qqNpOoRznsueoH8s5+VAKDvXq0hBXzK298ypC
4Inh4CR55m0aDvbBAfXDcPx6XGK9SFqDgnfEgeYzBJr3ZV2MWqrXWrsy3koJ6xJoA7dlUAr6Bnzn
hiotSgvSdwqlOH0D/xxls3JB37AjwPHEZXCG3exD7md6N+KOgitookFRIgzz/Qfr6O4iKu2sQgUQ
tY8lvv8Apf5AAo7vP1iasGP1jTkjetZ1DD2rb8ZWV2XBXklzR6YJGfFu+ybsjoTpLTEJ07TYxHBe
99s8bu/Y/65j639b7ehlSUprx8TMqKPpdSFBsY+Nn80hWyQpl9ddMKPlptZF9xctlJ50UlDH3TFj
8s+ti/R3rZi29HIngk7ccOy4nRl2fXadL3DvhGjLLHdOLCli2Y6Wo8LmdVFhcyugLZy4WdtBK3uj
zq9jiFpbIB3xxLWx1taeoyKDdQyRQWt1rHXXuAWrL+NKO1SNbgyyO7ewi01bjNMBpugKeTjgKC00
MZsn9QQnOSMvq6SCm7Ceg8J7x8H+RfILucppif3JrLHSeyprxNzm2qC5zcDJHFpghyhT6/zUXAwN
xf+02M5cmTQBy1iZ6E4Ppwr3nMw3X9PMFj5dszZquqY7ImeqxMGJiOfWMs+UdIelkQ0ETU/8nbFT
wh7ySQ3lCMHIT5XvnFeE/zhrCIuJR9c8YiGmfc/Ke1K4zqyTAxrRe66N7D17ASVqdBDG1kY30Daa
1RalVdZUzTDLJn0RAhvOdJ7gTLv5es/kDuIdoKieei3zGL47MHfdqNlSoctGa4OWjfTF4hpkdayD
a4MWjfTFqFxS03WcVjsEM9MTtJq3LkJaeZahcaxXTPIsXzg0tZooWL2VKNGdt/3JyHQJ0/kGBjBL
BJVEXCQTD+RVTaCfFuCLcbDmtAesoxeX/yuGcaii6rt2pzNjE7kpfvOW5f+2pD/R5V3denlXh/Cu
8C7v6idQ7Va1coWtN6/yuFY9Aa5mqrBAdW17oMpCFPcSekuUDpW3QmmnBC9Qru3hAmWU1bwJc890
vZ8vb7Zk/LagcpJmRO2OnAnaHmnttZ6YyaMU+c3aqJn3P9/V/4Q/oqXjFVXgBDhNrUCh5JZwuEwk
BYp1UoJvbHjz80Pwd7Y9Q+SNBrKoFzmJ3LHR6V5JqCOqXrHvl/R9CaG5fMSRu3f7g3u3P6n8+8dd
6Z/Dmi5yog4hDrd65dAfiesk28VDYy703y+RwJpk83bkuFtVs3x2JksL8oHU7AIjMZqeb80VsEIH
ip15/nbZ/5Dstt3wrZtq6cNSrQKXU6XxOA1cxpJapncw20fBt6ScPuDJRNaUWkWUxFpNVCKckmIq
qmrVROsoRPcNT6ZHugtmRSzRpz/Tz2C9Zw7cO3PUEeqRYjA41IOd2LKmfRii/pJPqEfqvefqsk/y
TK+z3mfSOtFjFeBURBU8mCzuFpqf3wueZZnleEmqsAvLNUnwQbfhsL2qjv2laQfnH1y91PL2KmS9
O+v+8dv3z71G46gXd1jv1fS/Tc2S9bE6aplf8tUtpv9FX4sI68jGeQGgRdv6PjxK+vOeI82Yvrfk
WaJ+zFqMV+UVhrntplisslE+uH4u4J19kHr/5FFgpDldEFou69srFb2NI5PjwzEyHTAy/qcTWRRQ
fscJkLniysGh4YjdleQWNvtZyqFxmxWQzKzPkPKQrAiyqpCRBX0wt3W/k6pIdX9U4ihnWiHSsSz6
RtF3zoU+sWF5jlf5pkUiHnxKRdDggGQLWXQmCjo/RUMr62QhjqtgXRekgiYq1ThYIxuth9o4xWz0
iukNoW4XEgfKMlVGVQz35rSesJiyEAdjViYYs7LQlVKFbMSJaYCcU1e6P2dRIU+4iqE7q/A0PiNP
turqwv9fd1fQ2kQQhc/Nrxgq2BRJKckpKShUipZWsdamCL1skkkyZDJbu5OkudWDSOlJPAgqUg8e
xFJBPfgDKv6NoCdp/Q++NzPZ7G52s7spvbgkJDt5733f2yyz83Z23mvZXKb611sIvIlqlwJuMV5j
qQ73GlP5hZTe5XxutOMK/l1P3G1t3rm3jtW7YZhMvfEwgmjgREVAGa7LbYx68gheP1+ro3TiNM9e
AvjYs+q7Z59EH95j43W7ToxlL0eDGjOzpEZnm+ZLeAyM65CHxTCIFg1LW2+sxeKNalskgNVoU1W3
SMcnfyV88lPzKVwJn0IqPiZrtdNvV2wel7X64ujk/AtWGNB5qPXuxbtn58cf/r5466nYq83lWk41
PlOWGz9MzlD4eXD6dXD6cXCKGVy8uySQM8sT0Lqlu4ZdQVb1GWHl/3xcJnFuWizXok7bEpSq1fFW
VIc3+P4UXjeNEFkzSiE3k/Qa1qALHnIIEkdq15LSqjZtmYTWG5fWA1ftKoixCoVTNtfrc6Zo6f2o
p/RWl3sjobEp90qfrOxLKmoQG26jQVXEFesNNEQbenDPeW9wk1CDTzCThJuczA1+WqP9S3HyBCjS
sURDl7dIVM79cDmsmPvhn+P3YzGKMp0iRgmhEh2mAObtCUx8YYomEhOmdBmVQqdx7LInmHGl7LZE
cChv+KRCzuvy6sZDN1AhTh+A2yNeCicZJUk53U/E6ZGfk1KMGP90hTab8KgIlohA2U+gfH81Eh5N
TgDvUa6mm7b1Zyjcj29DAf8TKmNo2hig0a7Fc1Yd8bht1dy684/xVM0QMpfFy5yAb7BlNWaN1vH5
cFzfKRpweb/1++A5EXA1kPPhcj1LoNivV0dGbH4CsrrxoZADVohCOhiamGzBpR9nJPRwQzhVdUaD
3WtzsGsEoP9hXQv67dmtG7OZmRmiN3fc607gNdWZppKLwFWxTbb2YVtIVsui0eH4X2n4DODrNp+C
yySjRgZ5VLirxEg+t9zhDmsRNSEKPxj9fBDRO2FaIj78PMmqRCmYtotgPrCqJe29EiLN74gdEYTy
39hM6mWhntZPrWHQC0P0OsMUOQF3CyncLUS6W6h7/Q0gTul1cTG121olyAKax7wuLqbxGwxEel5c
DHUddaZ0/H9ze2mJrNtYIqOMVSgrnDolbBN2rtKXVNXHZbiSRmKryXwErULu2bxEBIUmI9/ZreE0
k9WRNnZmjtFZETW0uEQ4Ze0ch0O8QDkMpWvYwezRzD+PZl+6TYwAAA==
--=-=-=
Content-Type: text/plain


> And could it be that the file is generated only after Emacs was
> already built/dumped?

My reading of the log suggests it must be.

HTH,

-- 
Basil

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2022-08-05 built on tia
Repository revision: df263dd7586436b06262e32aa3614e11ed3a6182
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure CC=gcc-12 'CFLAGS=-Og -ggdb3' --config-cache
 --prefix=/home/blc/.local --enable-checking=structs
 --with-file-notification=yes --with-x-toolkit=lucid --with-x'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LANG: en_IE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 36414 7374)
 (symbols 48 5077 0)
 (strings 32 13787 1589)
 (string-bytes 1 376470)
 (vectors 16 9191)
 (vector-slots 8 145276 11559)
 (floats 8 23 25)
 (intervals 56 240 0)
 (buffers 992 11))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 13:49:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 09:49:46 2022
Received: from localhost ([127.0.0.1]:56758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJxhy-0002Kq-JX
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:49:46 -0400
Received: from sonic317-32.consmr.mail.ne1.yahoo.com ([66.163.184.43]:36831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oJxhv-0002KY-9Z
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:49:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1659707377; bh=VADSSUyLwJKUpR3H6MhBBFI9GIyW4glpnxMwllJ7Ons=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Y+QxkkdLawHs2dTQXyj83Q+J3VDZMc3TDM0CthlOhlnUaDN7MPQwc07x0xyJfCtzKt4sDugxPQmBTynKRoWXtpxzWO9vN2QoCbcAEOuz5TKwui9HX7zIk3IG0ge2rIvRjDPTpgx/L8hu9CqbEM5QnwJqy9TSDAZMkt61+G829avLQ3rMpzHiNAAK3HWZ1Ut/sKCE0eP9r1RlmVoUU6or/je/Mri5RYpDfVvGdfsIAOoBdNmiFfwZHBA4Bd4e4NNr5nR3rpoQOIvqXGPOfpC8BWqmMIs6xTZ6EI3Yr4L/5QiDYmOyOP8PQ9kgJP4PTzbVoECpjdAZB8M4ZpFgdkvUdQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1659707377; bh=KtUgqUhLhr1ZhqicU6JxeUFuqffFXo3vX2xP2BiFaLP=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=T9agP+7i0iBFM4JUGoiDQgPqNjJv4354ouomleLtqGGDGIBPMHYtSMXQN+Ai2xaMWAaYmIBN39d3XD/p6l+A9EErdwfdRHOiEWNCFKTQBfkJMcbAEMgMhyIN4GWLrn1hdGO6bZrqWXH3PJCRUsUVpnc1QGh7Xhflw4B2OKVayt/lneutMRaFSO0FrcjbuTnsuSny0m5fqm46qYis+PjZA+lDZrCOFpnwQb9unMqVfBKkFtulB9ZNgfH4VdWtuQuTjjiSMuaWKGr1jn3WDrZzKpxu+MvTkDQi1GNblqzUXWj3nSVygNWeLZsCvor4I+XXBexSb3ZLV8isNrkT5qwtiQ==
X-YMail-OSG: YF49gdMVM1liKtDfjzFRhyCAXhfZDSOwiqnhBKDklR6dWb58NrWrA3s26JKAsrR
 jPJWi8fAlPFYhAvWY2xiAOwMlV_zT1eRDwrNxhXB2Msz6Oo7.MzeXJuOR3CR567Y3yY0XQIOsK2i
 hlllv7G1uke76L3g_Bi7nfOqBAHzvfXAjFW8Q7.pXrRf2X54efP1Gscq3cFqAblXjgWILcwS.MPf
 r8g9VlgF4b0EFgg7cLyk1MhHGuB023_y8I7CzTUW6u.kytzxHHnYymCEedbJhCOqF9P5Ns5W82EY
 RiFXth4wU1sajZRMf5HEy3BxVC5oAH8CXL8FKNZTDvNt_XlDp2ntYeCx6JiHfYeJBREnV0mK8zDf
 QryzkwAnRDJwlqTjXggmIHDRUmVqJcr7uUOBV4HIeS5bBxjMffHWlhoCtvajEKFbk.v7USmbOkIk
 CK.JxQu5E6vUI5M2vnQVTspEXr5wC0yBwf42esV_RZ9YoW_nVz71sm6dqoodg2.Lw6J5SzUxRryd
 k3C.HXhg_hujikakOFQGIohVB43bxLurp2NC7MrUeKtdLJKVvGzXWBf5ErdsbYqHXB81_a9OCNpa
 wU4KrZ_80zfY0WDYWbGB0RCfEyA04ByQKmzZWjcoDzvix24kACHbKkUkaQ2x.XUxq_QoqD0ar.Po
 .LH3ZUGF8WXfZRa8dYcVN9P_vtxjxE6G4_iqcQiw9gsY.Gvujgb5zac02Bby_kkp22kJTtUB6yrd
 BfK.v7APWuZbzPLYMY66Sy.CFKK4A6dMSdZqSrFMgjr2Pj20BimB93Ohqw42sOAb9SBNvb8Z3C6_
 JuwZWWI99dlJCVy3FzItlCQIwoiQDB8QXNUUtQ.6WPBT046sjxfRKhUKhlp1abc1j0Hj8H0uQC8g
 4ases6HpdIZ.rph6aVPTO1rKQPpGNysgk2QZcAsQ8pXHUbF3_HFgiTCFwlJieKcovoZYPk7tmv9J
 zwZe6Djw2zuda7UIkQ46LC_y1Qx0sDepYJ3KwKfrwivdZ0oudUOckc9ks2.KA45Kf0yud8bQLhNg
 TRyPlGR0SqxIQUvnxzZlW85Hc.u0NevA7n4es4AsNr8822m_MoarGgmu194EDqW1RnPqL.ObLnUa
 4rCA_zPQKyYRrl6hmkrhJo2Hc_21ORRPvbSSyAyF4kviZE4mfoqiYoCya1vDRiDOvzjCv4qP5QZR
 1slskUR46EXymwZLSz6GTA3MhQXHMATXtdAzA3LxTAiI8nRyoU_5L_bKQR7_239s0v0et1L5Hoao
 QS9rmQXZizFNPyJ25w59h8OB5igbX3XGhdgi2VIHzQ4prl8hvmwRwZRhy7PLRf78wM5iKauojSO5
 khHao5XtE6F.RxZ9wT.DGZcL9H6dT9XzvM1s4TUPQN8gsPV5dpsCzoEEAmBvbywxHNp2.mKlWnlf
 6tW2K6CohwblO5MqsYzgShaCR4NJGtWygdxnIsSc8fb_mBHeOZwGZzSKCDX10MkKyVYlg_.zrx4e
 HF8q6blhGnPDYxVdnnpQWBFE7fb6wdbqpQQl9jcKzOq9QJfNCEXK80oOB3lGPLpWfPcUN9fBHgzK
 EmQ9amWW5TfgelzbQveH0WPhe.gzeWBrBRkG08_KHBtDr56m6Ke6j030pP.Way_E5RtGjBJayakM
 .xdpSeXmRg4yG.6RlDYbEe_wGynCk3V2EiOyPmedt9jr0hhHUoVeKMbR6LmF8my1OqW4LBreR39W
 sDYQU0shSzBAnlU3DNRnZN4sbZ1W_.8tNAp0t.uK3Wp1eTGKHnkD5iQSblmpSnCuYou2vhfa376a
 15r2RADL3o4ekX_mwIVErJ_Pu9_DVUz8uioBIKZf9vHAIvAIajSa6xpCaC2pE9OshTlGcWOJipcA
 A6XXJCVSjEK1ieDGDbr5rRxUNmNrpPQ3hA_FAwUlmmqa1J.Iid73hjuq7s.R_dzZcCCVLlRQJiXl
 87juCyvoplPJhnbwQgIs8m2_.j.5g7FIKIh5dp4yCP6lQXQ5IZuzP3VrcXHegKVX6T5lrVosighG
 7Bm4XFMjDLAM1y2GYOrAibJsB8q70eycTUsfzMFA7Op6.3aukEByuXEv8XTZLOXoZigfTZOhBeDi
 E8IChHM_drmtUSKFh6pyKvCgQO9ZnH6QEdh7b7mJmrzTiTlrDUbs8MyYRSp5CCe_qiSTDAwM.Akz
 2IOb3KKIJZi1WNIKIy9.yOqK1M.nGZEaiBK4RF4uWlyqqjKGCvW2YsgcU12mXNXjahfSwTy2zoOD
 mKWselM3FyirtfGN9x56JpqsqfLmfdEoWNl8iXKs4KVd7epO.w6p8ZEnuq1PDdQTB
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Fri, 5 Aug 2022 13:49:37 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-hxmk8 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID ff274e5323c017912b046207965ef912; 
 Fri, 05 Aug 2022 13:49:31 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN>
 <20220805143400+0200.912652-stepnem@HIDDEN>
Date: Fri, 05 Aug 2022 21:49:24 +0800
In-Reply-To: <20220805143400+0200.912652-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Fri, 05 Aug 2022 14:34:00 +0200")
Message-ID: <87r11u6brv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20491
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 518
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

> (I also find it hard to imagine how any OS-related issues could cause
> this particular problem.)

IME Arch (GNU/) Linux users tend to install packages of questionable
quality from their user contributed repository.  They range from
modified and often outdated copies of GTK+ to X servers built with
unsafe optimizations, which then cause problems with Emacs and other
programs.

But I don't see why the OS would interfere with Emacs input methods,
yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 13:46:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 09:46:38 2022
Received: from localhost ([127.0.0.1]:56753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJxew-0002DJ-15
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:46:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oJxeu-0002D6-2C
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:46:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37308)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oJxeo-0005sW-Lz; Fri, 05 Aug 2022 09:46:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=QCu2/Rvpex3DoXuQi7y5jKwfd0l8x6nRGAOKXDYPcco=; b=Co79/qxToQtm
 pZGeHEZFL2XJnNsZmHF61EEcLf44IMCA4OGgNDBPFI7QWwuUnLMbva4fkGHQUF+3CZZpkBbs/AdrB
 8BPzWm69A39cVUn7+kjX2OIkGlTsbYM20lZsb+kfJe7+bC2g66EUhKLdYtb+rnN2dJwsP9DpB8iYM
 k26SkK1xOou+1DECLx6ipV1GEJG+6JYKDm1EHYf0D0bVwB8h1nh0/FT0bX8MotPpRyetwB3gMQMim
 BRipKSJ/g4x+bj2GjNbz3+c6V/CodNjGIe5wCusI+sMmM7uFrWtErjElR4uNbjeeSYPBKCcQkCSmI
 YVPU5HBb2VOJKHLt6Y8q2g==;
Received: from [87.69.77.57] (port=4025 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oJxeo-00035b-4w; Fri, 05 Aug 2022 09:46:30 -0400
Date: Fri, 05 Aug 2022 16:46:29 +0300
Message-Id: <83v8r6ztu2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87fsia96ip.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 05 Aug 2022 15:14:38 +0200)
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN>
 <87k07m9857.fsf@HIDDEN> <83y1w2zvga.fsf@HIDDEN> <87fsia96ip.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org, stepnem@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: stepnem@HIDDEN,  56998 <at> debbugs.gnu.org
> Date: Fri, 05 Aug 2022 15:14:38 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Is the file lisp/leim/leim-list.el being produced and exists when
> > Emacs is dumped?
> 
> Yup.  So I guess the problem is that the first build isn't loading that
> file, for some reason?

Maybe.  But how can it not load that file, when loadup.el explicitly
says to load it?

What is the contents of that file in a build where input-method-alist
is empty?

And could it be that the file is generated only after Emacs was
already built/dumped?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 13:14:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 09:14:50 2022
Received: from localhost ([127.0.0.1]:56709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJxAA-0001Q2-Mq
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:14:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oJxA8-0001Pj-Mv
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:14:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=miwVg/dvHcu137GKbUcQTrgERZrvRjK7oIFtxZLUoqc=; b=uqRz4L76ybX35OJp0fwzPrAsjD
 mv2ngobxhhRDnKzIvOuNAtAOfa0BJO6i/B3fjaX6Dso2HcEd+XTfodp/X0L+7SBDwZfDwSy2RhOQi
 KcEKNSJpoIPcmrRNYB9g1rQNIgy25C5/WsvRw9VYd36QI1lhn67qu5iozHzvxFkAAMlM=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oJx9z-0001bz-EU; Fri, 05 Aug 2022 15:14:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <83y1w2zvga.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 05 Aug
 2022 16:11:33 +0300")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN>
 <87k07m9857.fsf@HIDDEN> <83y1w2zvga.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXGfIbRPEBTVrX/
 //8XHU2tAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YIBQ0OAnMyNj0AAAF1SURBVCjPNdC9bqQwEAfw
 v6MQnbZiJbvZJ7jbp8CnuKEyKw8FXaRsEZ6CFDTpLoqbVJuC1TJPeTM4cYHmx3xh4LpUjRRID2JM
 bshdQWMj9Usq8Lbz1Vrq4O59ZVra6gB7b0M7kyMKgHuM4WF9kUSWaVbmcf4XaEETjLWuzWklhxh8
 APXXxDOBUq1jxw/+IlSp9pRwWHg5oYrUUARW5h2MbHIJ/jczQ49N7nE8CpoKv2qENGyQ7hqO/n4K
 DJGJ8sC1wDeyDX8UIcnA09zsSgYwpxl3P5DL0E/G6DV1tPZWlDRRIFWtxKvUR0EvMX+hdg32/lCw
 PwP7NCpeQccJljRmWS5wSeOLQTxe4E6KySCzYJD4Jpc+CyrtvwhIX/E3ZvmKu61FIIOmXUGHN/4+
 U0U4anBTuILri36/zdDEQu/MXm45bBj4ZqRH9y3nXld3G/IzcYbpMdxGybRMnnqQ1C/yC/J+A/GV
 Pg8T8KAY+Cn3HAu2w5n6/2Byy0hq/tYqAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA4LTA1VDEz
 OjE0OjAyKzAwOjAwLguMygAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wOC0wNVQxMzoxNDowMisw
 MDowMF9WNHYAAAAASUVORK5CYII=
X-Now-Playing: Bill Callahan & Bonnie Prince Billy's _Blind Date Party (1)_:
 "Wish You Were Gay"
Date: Fri, 05 Aug 2022 15:14:38 +0200
Message-ID: <87fsia96ip.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Is the file
 lisp/leim/leim-list.el
 being produced and exists when > Emacs is dumped? Yup. So I guess the problem
 is that the first build isn't loading that file, for some reason? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org, stepnem@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Is the file lisp/leim/leim-list.el being produced and exists when
> Emacs is dumped?

Yup.  So I guess the problem is that the first build isn't loading that
file, for some reason?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 13:11:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 09:11:43 2022
Received: from localhost ([127.0.0.1]:56703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJx79-0001LJ-6h
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:11:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oJx77-0001Kt-1Q
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 09:11:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36374)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oJx71-0007i6-Jr; Fri, 05 Aug 2022 09:11:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Md/qv1+K91J7b6z1KSd6PYXwpZX9wMcmtrcSUjF7/p4=; b=R6HbvctTf+NR
 dpenzmXCsXgON2lV0WhlUQd09+VINsr9Ut3Q8uqPYBW1Odl37m3tkxJyoPlAjP0RRuCJpY46ldDU3
 DSlWHEDmYRldgxJ1TlJqh5lvqW+TGfNt4sAOF6w3m89quVSu9hEmL8r3IrAgcw0e/BQJdv2RcqqfS
 XlD5/jHrPXIIwuOd4h+CtCsi3wNP/vujjOO7BS5cxLRw5WElrYrr6M6jfXMztDhuO8SsQwVia1gOK
 2GMPcKVW+5VEpwqEj/5WFFHLdzVnQXKpYdfsOR5XMYCBwb06w5J/dYYRVeINVpjsVCW7HyT2S0dj+
 hmjxuUsVBQCOYO20y4q7SQ==;
Received: from [87.69.77.57] (port=1896 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oJx71-0002Ht-2v; Fri, 05 Aug 2022 09:11:35 -0400
Date: Fri, 05 Aug 2022 16:11:33 +0300
Message-Id: <83y1w2zvga.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87k07m9857.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 05 Aug 2022 14:39:32 +0200)
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN> <87k07m9857.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org, stepnem@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 56998 <at> debbugs.gnu.org, "'Eli Zaretskii'" <eliz@HIDDEN>
> Date: Fri, 05 Aug 2022 14:39:32 +0200
> 
> If I say
> 
> make bootstrap; ./src/emacs -Q
> 
> then `input-method-alist' is nil.  If I then say
> 
> touch lisp/loadup.el; make; ./src/emacs -Q
> 
> then `input-method-alist' is filled as it should be.  So it seems like
> in the first-build case, we're not...  er...  loading something we
> should be loading?  But on the second build, we are.
> 
> Eli, you're more familiar with the quail stuff than I am.  Do you have
> any idea what could be happening here?

Is the file lisp/leim/leim-list.el being produced and exists when
Emacs is dumped?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:39:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:39:46 2022
Received: from localhost ([127.0.0.1]:56609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwcE-0000PG-8h
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:39:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oJwc9-0000P1-4e
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:39:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wlFF1ezgSi7XJxubsLLSisYkbmMFUm2p8+ZVSib4vCA=; b=sw/hITKn4d0+uJlcQL50WJz1ky
 +TeGJ5EE8+If0adA0DaYwY8FNEZHQaXebn8+Fqrs2KrzKIBDeq3T/LBc7/mf0RPf1aJZCsVYmGU1G
 Zb6Vz9iHEeJRQSXhVegUr5jNwb+fmqVUVtuRPN7BxHpT9inVItKfasPCniXY9zDN+f+I=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oJwc0-0001NS-J6; Fri, 05 Aug 2022 14:39:34 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <87sfma98l8.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 05 Aug 2022 14:29:55 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN> <87sfma98l8.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX6+vvS0dTd3eGi
 oaS+vcExMDAgHh9eXl9+foA/PT7////viaxHAAAAAWJLR0QKaND0VgAAAAd0SU1FB+YIBQsuNC2B
 +7QAAAGpSURBVDjLtZNLTuQwEIYdwwFiJwewq5HY0hRShh3pDINYgpSOWI96ejtRgkxOwAFQhHJb
 yq80dLMAaeZfZOHPfz1SZcb+vRKQXEj4BEiphTgEWmopQWixDzjdl+Izy/9VgkEXKTtJla3El7Co
 15s/pM221M/llQW+6KOhnsaa1GdFx33xzlBM02TP67YyqHYpru3ZekOfrmgMMIg9XrswpAZN3fMk
 BVBqdngw1J3KgXMF78A0micCIBTnUuxAYyZjhm2vcwuc45evCC+HcfPSCzED5zApOx5fMWtLqYDG
 Eh2tvXKTskX704E8gG1s6xQvgICO4Hcc4y0ugaRlAHfxP99U0gIIjvV9dFSoKZSCbB9knXahyhBq
 BrACmxyW+znOSw6K70Cs6rhFZoHG2EcARy+PlDrRAuM8QoMLg4I6j2Aa1389yLrEdijyCOpGkgdk
 JvWPTuocA6BV6BXj+ZVmIsGVqAIwBB7O/JadpLqs8LmbQd2cu3Wit4NojPFgsKN6MIjFMqEwxUfg
 J7+q3PkBeO0zG+gAuHAzSKjTKDcmeoryiy8Ivg2+pjee+49Hiyd05QAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMi0wOC0wNVQxMTo0Njo1MiswMDowMHMVS5oAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjIt
 MDgtMDVUMTE6NDY6NTIrMDA6MDACSPMmAAAAAElFTkSuQmCC
X-Now-Playing: Keith Jarrett's _The =?utf-8?Q?K=C3=B6ln?= Concert_: "Part II b"
Date: Fri, 05 Aug 2022 14:39:32 +0200
Message-ID: <87k07m9857.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I'll debug
 further. If I say 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org, 'Eli Zaretskii' <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'll debug further.

If I say

make bootstrap; ./src/emacs -Q

then `input-method-alist' is nil.  If I then say

touch lisp/loadup.el; make; ./src/emacs -Q

then `input-method-alist' is filled as it should be.  So it seems like
in the first-build case, we're not...  er...  loading something we
should be loading?  But on the second build, we are.

Eli, you're more familiar with the quail stuff than I am.  Do you have
any idea what could be happening here?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:35:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:35:03 2022
Received: from localhost ([127.0.0.1]:56605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwXf-0000Ii-JZ
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:35:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oJwXd-0000I1-Bx
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:35:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=kk47fuVyfFw9dzSK1lJtFWJSK0nBt/uypgHRlgPtuzc=; b=JUFP0Engr5s4sc+z8LO6Z0NsZw
 F/HBBeOxC38K4obOf5wysp9gQIYYoJ2s/ErQO1EmvCOOBA6wvXmQp9r0xUVUDXWk/jF3mhRn/wGst
 4Q8Ye80Iswx8zosohKaafDKh7JxJUh669pPU3i7JN2VyVAdktRE7rNTlnP3hDiKw3T5Y=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oJwXV-0001JL-7S; Fri, 05 Aug 2022 14:34:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <20220805143400+0200.912652-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Fri, 05 Aug 2022 14:34:00 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN>
 <20220805143400+0200.912652-stepnem@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX6+vvS0dTd3eGi
 oaS+vcExMDAgHh9eXl9+foA/PT7////viaxHAAAAAWJLR0QKaND0VgAAAAd0SU1FB+YIBQsuNC2B
 +7QAAAGpSURBVDjLtZNLTuQwEIYdwwFiJwewq5HY0hRShh3pDINYgpSOWI96ejtRgkxOwAFQhHJb
 yq80dLMAaeZfZOHPfz1SZcb+vRKQXEj4BEiphTgEWmopQWixDzjdl+Izy/9VgkEXKTtJla3El7Co
 15s/pM221M/llQW+6KOhnsaa1GdFx33xzlBM02TP67YyqHYpru3ZekOfrmgMMIg9XrswpAZN3fMk
 BVBqdngw1J3KgXMF78A0micCIBTnUuxAYyZjhm2vcwuc45evCC+HcfPSCzED5zApOx5fMWtLqYDG
 Eh2tvXKTskX704E8gG1s6xQvgICO4Hcc4y0ugaRlAHfxP99U0gIIjvV9dFSoKZSCbB9knXahyhBq
 BrACmxyW+znOSw6K70Cs6rhFZoHG2EcARy+PlDrRAuM8QoMLg4I6j2Aa1389yLrEdijyCOpGkgdk
 JvWPTuocA6BV6BXj+ZVmIsGVqAIwBB7O/JadpLqs8LmbQd2cu3Wit4NojPFgsKN6MIjFMqEwxUfg
 J7+q3PkBeO0zG+gAuHAzSKjTKDcmeoryiy8Ivg2+pjee+49Hiyd05QAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMi0wOC0wNVQxMTo0Njo1MiswMDowMHMVS5oAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjIt
 MDgtMDVUMTE6NDY6NTIrMDA6MDACSPMmAAAAAElFTkSuQmCC
X-Now-Playing: Keith Jarrett's _The =?utf-8?Q?K=C3=B6ln?= Concert_: "Part II b"
Date: Fri, 05 Aug 2022 14:34:52 +0200
Message-ID: <87o7wy98cz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Štěpán Němec <stepnem@HIDDEN> writes: > I've been using
    it (with self-built Emacsen) for more than 10 years, and > don't recall any
    issues, much less "often" and "obscure". Perhaps you don't read the bug tracker
    as much as I do. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

> I've been using it (with self-built Emacsen) for more than 10 years, and
> don't recall any issues, much less "often" and "obscure".

Perhaps you don't read the bug tracker as much as I do.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:32:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:32:59 2022
Received: from localhost ([127.0.0.1]:56597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwVe-0000Ex-Ob
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:32:59 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:40479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1oJwVa-0000Ef-Gk
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:32:57 -0400
Received: by mail-wr1-f46.google.com with SMTP id l22so3097618wrz.7
 for <56998 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 05:32:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=gNEiqCJZyvGHcF710xaOEquXkz4PS4FBTUhsTOHIdTo=;
 b=PqzZ8Zh28Bn8LsXM47gagN69+6L3yvrP4R4IgR7Yt8nb3TVMv99Vpcv9rRMhlU75qM
 uvx/92++pCCUI0WVZ7hZTFofiMGpLLQFKPFmK8wWpKqHyxNPy7m/KzQrd0QDZB5oOurK
 eImhOTJCy2r4sVAHSLNX4I0hCPb8Nd31U4PsDn6TgceWXYbzzZJozeY3aAzge8FkWb0/
 EHxE9i1P8exHYAjroakSiypK1ynKb2BW1p1t83oz8X5RVZvaCMACwFuIBOGl6XXP5vzN
 da/reEq+6zYvBrZRwW+Ff3FoD9WBzGpNB0FfCyyfu6RvUuMB/sN3JDb5bx1d0lutOlUE
 XccA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=gNEiqCJZyvGHcF710xaOEquXkz4PS4FBTUhsTOHIdTo=;
 b=A6JGiZgBp2O6ZZ8wK8VnWK7yGEUC07nSKaLq7yOUq6G8c5U9i6n775oawu+V+Dv8aN
 TSChHCTj1ze2xjSzOopjC4Qm+bSgyOxnTJ+YbC4vDsgB+ot3bNG+WQKEyeR1OOYTeO9+
 ZkZ9XnhNuMkF24S26JZf05dB0XyxKwyeDOWwLo8wKwFv7WuuRfegGZhaBQoq/QuuFQrf
 KrrDj4xsJK8Vw80ozyl5v3/WFnjxKmkBnfrvRh1Ll3eZWJp5lRYLxmWdUcQ/shGcz0Z3
 xzr9iyk3+5ZzWI+ybGnm/kp2jIHO6Qa/UZBiPKmpo7SRVi/9VOgXx/5vkJvLdvvDqNXf
 WJsQ==
X-Gm-Message-State: ACgBeo1r/xomjwoVUWUgy1pVurSlIUGpNTkl5Y49Zk2z/LjqBrCsiC9l
 cWhAS68qLJY7BojKCJKBNe0=
X-Google-Smtp-Source: AA6agR4LXyn2gT1H1SKs+NeEGqXGcxdHlYdYiMXbBfzLwoJCeAc0ccC43+HRlV06RH0AC0GnEbwToA==
X-Received: by 2002:a05:6000:186f:b0:21d:969e:c80e with SMTP id
 d15-20020a056000186f00b0021d969ec80emr3999269wri.129.1659702768615; 
 Fri, 05 Aug 2022 05:32:48 -0700 (PDT)
Received: from localhost (internet-185-112-167-50.cznet.cz. [185.112.167.50])
 by smtp.gmail.com with ESMTPSA id
 e12-20020adfa44c000000b0021e5cc26dd0sm3759186wra.62.2022.08.05.05.32.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 05:32:48 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <87wnbm98ui.fsf@HIDDEN>
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN> <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN> <87wnbm98ui.fsf@HIDDEN>
User-Agent: Notmuch/0.36 (https://notmuchmail.org) Emacs/29.0.50
 (x86_64-pc-linux-gnu)
Date: Fri, 05 Aug 2022 14:34:00 +0200
Message-ID: <20220805143400+0200.912652-stepnem@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 05 Aug 2022 14:24:21 +0200
Lars Ingebrigtsen wrote:

> =C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:
>
>> System Description: Arch Linux
>
> Ah, Arch Linux...  there's often obscure problems with that platform for
> some reason.  I don't have a VM with that here, so I can't really debug
> this further.

I've been using it (with self-built Emacsen) for more than 10 years, and
don't recall any issues, much less "often" and "obscure".

(I also find it hard to imagine how any OS-related issues could cause
this particular problem.)

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:30:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:30:09 2022
Received: from localhost ([127.0.0.1]:56582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwSv-00009R-AX
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:30:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oJwSq-00007D-SW
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:30:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8TG1H3AufBY1sXOZ4oLhw4xifhDHP8Xrm9HOGoU6rAI=; b=h4DjblbxwUVvj8woLu9ZI06RG8
 tf3XYRWsQXrUGYOxj0x+shPPYr9uewhb7iECdkbaZebTzrt+xLkMvlIGJOsF5xUAycQBe98s3lef7
 mXrLAhkr6ZMd3RtzmobWt4DM8eY/qhvo5CGYZUATspSNTEsAWqAgcQuUqPn6oodyzvgo=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oJwSi-0001Hs-9V; Fri, 05 Aug 2022 14:29:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <87wnbm98ui.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 05 Aug 2022 14:24:21 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
 <87wnbm98ui.fsf@HIDDEN>
X-Now-Playing: Keith Jarrett's _The =?utf-8?Q?K=C3=B6ln?= Concert_: "Part II b"
Date: Fri, 05 Aug 2022 14:29:55 +0200
Message-ID: <87sfma98l8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Ah,
 Arch Linux...
 there's often obscure problems with that platform for > some reason. I don't
 have a VM with that here, so I can't really debug > this further. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Ah, Arch Linux...  there's often obscure problems with that platform for
> some reason.  I don't have a VM with that here, so I can't really debug
> this further.

Hang on -- I can reproduce it now.  Not from a "make bootstrap", but
from a completely fresh build.

I'll debug further.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:24:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:24:33 2022
Received: from localhost ([127.0.0.1]:56573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwNV-0008Qf-A6
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:24:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oJwNT-0008QS-Py
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:24:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Zyfav1vWO6ux2fbk0mWDcQDfIclCeWx7c7QrLIFog+Y=; b=Wab9rtaop/aw/RwQxH3SlTskCk
 chbU5LwIALy08xhT2uHuwXtriTrhJJcphJ2jb3swUTH7vvlZ+M0JSGgiXnkx+LvJvoXNBLr/wIO26
 sldjGriTnvXyzkgKa6FnSU2ff7wbURy+0Uwp36J3WX7MiPMVzQNy0EMri2L4g5+NQ/54=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oJwNM-0001Eb-1P; Fri, 05 Aug 2022 14:24:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <20220805142248+0200.433575-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Fri, 05 Aug 2022 14:22:48 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
 <20220805142248+0200.433575-stepnem@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX6+vvS0dTd3eGi
 oaS+vcExMDAgHh9eXl9+foA/PT7////viaxHAAAAAWJLR0QKaND0VgAAAAd0SU1FB+YIBQsuNC2B
 +7QAAAGpSURBVDjLtZNLTuQwEIYdwwFiJwewq5HY0hRShh3pDINYgpSOWI96ejtRgkxOwAFQhHJb
 yq80dLMAaeZfZOHPfz1SZcb+vRKQXEj4BEiphTgEWmopQWixDzjdl+Izy/9VgkEXKTtJla3El7Co
 15s/pM221M/llQW+6KOhnsaa1GdFx33xzlBM02TP67YyqHYpru3ZekOfrmgMMIg9XrswpAZN3fMk
 BVBqdngw1J3KgXMF78A0micCIBTnUuxAYyZjhm2vcwuc45evCC+HcfPSCzED5zApOx5fMWtLqYDG
 Eh2tvXKTskX704E8gG1s6xQvgICO4Hcc4y0ugaRlAHfxP99U0gIIjvV9dFSoKZSCbB9knXahyhBq
 BrACmxyW+znOSw6K70Cs6rhFZoHG2EcARy+PlDrRAuM8QoMLg4I6j2Aa1389yLrEdijyCOpGkgdk
 JvWPTuocA6BV6BXj+ZVmIsGVqAIwBB7O/JadpLqs8LmbQd2cu3Wit4NojPFgsKN6MIjFMqEwxUfg
 J7+q3PkBeO0zG+gAuHAzSKjTKDcmeoryiy8Ivg2+pjee+49Hiyd05QAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMi0wOC0wNVQxMTo0Njo1MiswMDowMHMVS5oAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjIt
 MDgtMDVUMTE6NDY6NTIrMDA6MDACSPMmAAAAAElFTkSuQmCC
X-Now-Playing: Keith Jarrett's _The =?utf-8?Q?K=C3=B6ln?= Concert_: "Part II a"
Date: Fri, 05 Aug 2022 14:24:21 +0200
Message-ID: <87wnbm98ui.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Štěpán Němec <stepnem@HIDDEN> writes: > System Description:
    Arch Linux Ah, Arch Linux... there's often obscure problems with that platform
    for some reason. I don't have a VM with that here, so I can't really debug
    this further. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

> System Description: Arch Linux

Ah, Arch Linux...  there's often obscure problems with that platform for
some reason.  I don't have a VM with that here, so I can't really debug
this further.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:21:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:21:48 2022
Received: from localhost ([127.0.0.1]:56552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwKq-0008KS-Cb
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:21:48 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:45583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1oJwKk-0008KB-Nl
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:21:47 -0400
Received: by mail-wr1-f45.google.com with SMTP id z16so3018838wrh.12
 for <56998 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 05:21:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=R8qgSf/Ui48jgxoKiNFxoMSv2dNZsbTuj7JnJZ6lcjM=;
 b=bOEYERYLpD5zROjhw8vsadevp7pJx+IXq8EevYCk8suMT9RYVVVrWpFlmz62yFVqfH
 08JdVET8CpX9ped3sZ7V02HHDMfPlFAGJ4/R5kab5DzzFJ/mY88NyWg5T2dHMA0z5xVj
 9RjwKU7IAMzv1ooTx1sHnXS7x1ItkhtbQmbNFFSk/caFgbDrIJReQ/rlLRGTfLG61WGH
 6uAH3Gxud/M0ckPSAacavq91np/D6fZGb1XxJD2pruuTrUybAWYfp+oJrLV4bs+DaVgU
 ZSFk2JvHM5sDiBAkJyLE/dSJMxGyaRKh8dcECtETuddT8apMiMLa+tiKMBrgmjKUkb/f
 hbMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=R8qgSf/Ui48jgxoKiNFxoMSv2dNZsbTuj7JnJZ6lcjM=;
 b=rr9KAMXByl25hdelPd5u9XPffCrcEDz8IG1rIuIxsKYxnQ6Kt7j8c821iQStn75KyI
 snCywdaym3QIDiu5dODyF+mS4m7gkkkyb85LonsS9n9wL5mPjOicoolIoEZYXO+09XOe
 BYXVn+UhE+rD8FfbiqFOcfRcZCTK22hAYKBeqbdQZSfc4J+bWN5Xw6gZ5k2xp5KjrOX+
 uG2DvosFJGPVZVQGh3jasBfY8F7CzyqHAuD2N5ZIZtzWnGwzw7nqsd38S9DfpNwcdKGY
 dGKQDCWZKo1xrraI1MCjmEVC3SwoKBuu0rHs8ex0YLdk0gBan3tyliLscd+uUzmahtE2
 sBBg==
X-Gm-Message-State: ACgBeo18Iq0DLhSswvSqNmvbnJK26h//STkticzUc0DdTZ8JpEdGAgYG
 WY6DFoKennPNHgwz+JEiHfFaWppt7sA=
X-Google-Smtp-Source: AA6agR5x2Y9cXet3K8pP4QTesBh8DBUPm8EGvG58/CvE2llS+baE3W+KZ+5+7PiFxjYMff91wCiVFA==
X-Received: by 2002:a5d:630c:0:b0:21f:157f:f77b with SMTP id
 i12-20020a5d630c000000b0021f157ff77bmr4371023wru.614.1659702097048; 
 Fri, 05 Aug 2022 05:21:37 -0700 (PDT)
Received: from localhost (internet-185-112-167-50.cznet.cz. [185.112.167.50])
 by smtp.gmail.com with ESMTPSA id
 p13-20020a1c544d000000b003a3211112f8sm4401103wmi.46.2022.08.05.05.21.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 05:21:36 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <20220805141846+0200.613692-stepnem@HIDDEN>
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN> <20220805141846+0200.613692-stepnem@HIDDEN>
User-Agent: Notmuch/0.36 (https://notmuchmail.org) Emacs/29.0.50
 (x86_64-pc-linux-gnu)
Date: Fri, 05 Aug 2022 14:22:48 +0200
Message-ID: <20220805142248+0200.433575-stepnem@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 05 Aug 2022 14:18:46 +0200
=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec wrote:

> On Fri, 05 Aug 2022 14:09:12 +0200
> Lars Ingebrigtsen wrote:
>
>> =C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:
>>
>>> emacs -Q (default GNU/Linux build, make bootstrap)
>>> C-\
>>>
>>> [No completions, no input method activated. `input-method-alist' is emp=
ty.]
>>>
>>> (activate-input-method "czech")
>>>
>>> =3D> (error "Can=E2=80=99t activate input method =E2=80=98czech=E2=80=
=99")
>>
>> I'm unable to reproduce this.
>>
>> Please include the data that `M-x report-emacs-bug' reports; perhaps
>> it's a combination of config options that leads to this.

Sorry, here's the report-emacs-bug data:

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, c=
airo version 1.17.6)
 of 2022-08-05 built on tipi
Repository revision: c388578fb1aa714f2cf5ae2ad8a2933ca902b9df
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Arch Linux

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dfcitx
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
emacs)

Memory information:
((conses 16 35716 6911)
 (symbols 48 5084 0)
 (strings 32 13085 1330)
 (string-bytes 1 370678)
 (vectors 16 9206)
 (vector-slots 8 145482 7265)
 (floats 8 21 21)
 (intervals 56 203 0)
 (buffers 992 10))

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:20:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:20:03 2022
Received: from localhost ([127.0.0.1]:56541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwJ9-0008Gm-EL
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:20:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oJwJ7-0008Fo-23
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:20:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=dXBAimzpazJVYdY3smK3wrMatucIb1trsbqrdJsOW2M=; b=J+aUULiuDZBhMwai60O9mt/bGQ
 Wi0zS3w3Uv1IPc44HuBMJgtPuUZfn23Pl2SKHTx3/8BFTmzJ4PPQ5f/f50xJDYaa2UbmV1q5AdUmb
 4YE4rjpMtrrRerB7EEx1rm+vdf9LhrCBMz05oj1c7DHaoosl6pXk2ltizOHGX2kjSAmo=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oJwIy-0001DX-Tq; Fri, 05 Aug 2022 14:19:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <20220805141846+0200.613692-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Fri, 05 Aug 2022 14:18:46 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
 <20220805141846+0200.613692-stepnem@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX6+vvS0dTd3eGi
 oaS+vcExMDAgHh9eXl9+foA/PT7////viaxHAAAAAWJLR0QKaND0VgAAAAd0SU1FB+YIBQsuNC2B
 +7QAAAGpSURBVDjLtZNLTuQwEIYdwwFiJwewq5HY0hRShh3pDINYgpSOWI96ejtRgkxOwAFQhHJb
 yq80dLMAaeZfZOHPfz1SZcb+vRKQXEj4BEiphTgEWmopQWixDzjdl+Izy/9VgkEXKTtJla3El7Co
 15s/pM221M/llQW+6KOhnsaa1GdFx33xzlBM02TP67YyqHYpru3ZekOfrmgMMIg9XrswpAZN3fMk
 BVBqdngw1J3KgXMF78A0micCIBTnUuxAYyZjhm2vcwuc45evCC+HcfPSCzED5zApOx5fMWtLqYDG
 Eh2tvXKTskX704E8gG1s6xQvgICO4Hcc4y0ugaRlAHfxP99U0gIIjvV9dFSoKZSCbB9knXahyhBq
 BrACmxyW+znOSw6K70Cs6rhFZoHG2EcARy+PlDrRAuM8QoMLg4I6j2Aa1389yLrEdijyCOpGkgdk
 JvWPTuocA6BV6BXj+ZVmIsGVqAIwBB7O/JadpLqs8LmbQd2cu3Wit4NojPFgsKN6MIjFMqEwxUfg
 J7+q3PkBeO0zG+gAuHAzSKjTKDcmeoryiy8Ivg2+pjee+49Hiyd05QAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMi0wOC0wNVQxMTo0Njo1MiswMDowMHMVS5oAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjIt
 MDgtMDVUMTE6NDY6NTIrMDA6MDACSPMmAAAAAElFTkSuQmCC
X-Now-Playing: Keith Jarrett's _The =?utf-8?Q?K=C3=B6ln?= Concert_: "Part II a"
Date: Fri, 05 Aug 2022 14:19:50 +0200
Message-ID: <875yj6anmh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Štěpán Němec <stepnem@HIDDEN> writes: >> Please include
    the data that `M-x report-emacs-bug' reports; perhaps >> it's a combination
    of config options that leads to this. > > No config; fresh checkout, make
    -j8. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

>> Please include the data that `M-x report-emacs-bug' reports; perhaps
>> it's a combination of config options that leads to this.
>
> No config; fresh checkout, make -j8.

All builds have a config.  Can you please include the info?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:17:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:17:42 2022
Received: from localhost ([127.0.0.1]:56524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwGs-0008Bu-2o
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:17:42 -0400
Received: from mail-wm1-f43.google.com ([209.85.128.43]:54224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1oJwGq-0008Bg-Rh
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:17:41 -0400
Received: by mail-wm1-f43.google.com with SMTP id a11so1332371wmq.3
 for <56998 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 05:17:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=jIpyZFyBXz9ATduxnp0vedsa+yBumS4opIt1SwAoYiU=;
 b=kqFyXlU+angSSZSaKqLfNAF5GzKVMHbq4HNxm3w7iTDjgVN3tvqsRSWJaM2ltt7Sy2
 d0CgllhL1VHaowdweLx4wIxuol0AW4q4joU77A5kolyjXWzRsfIBgWo+Rf39CjAq2JuD
 yA3mN/AztgcvWcpEvJqPZB8sRCgFT87yzlsU7xNgq8p8gqaRyAMHP08PO08JQTBoSByb
 dTUYVFQ5NxCOOt1t6LhOc19KCvt2L6UmAG4f8nT/AmHYtIrva9v1RSoZQL683cBuRrGP
 x93OI7Aj+5Mr2wesoYjYhs2ZsMxZT/osJ3cDbscnr1Uscnwz2B6W2TBCRfkwW0kXywaC
 pWOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=jIpyZFyBXz9ATduxnp0vedsa+yBumS4opIt1SwAoYiU=;
 b=Vu3NgEE8KITO3y3CfhuYBhyp6BLOaq9CWO4ldJ2dzGpkTvCX/2jeIJaBMjGDJoKWsw
 FqnXnBof6rUNRZlOQqvb3gnRBAnr9D812+XSCXn5yDTko77XJJAroaWes4lhJwp3gdSD
 fTWstUOew2bsxMP767RN885P0v2OAVO5qXb5BLCQCEJ5H/cU8iiegerDzFY/4NEURpzD
 FK1/Q3G/YAfhNDckOJ2s9YUMjIZkcwSVINWzEXJ0kwgpF7yOo/4ikhetWS9cktRPacMF
 rTJu6TRuHV3BqBfyEBcO+wCKnWVbEblUUx0bXKL5dytU7Y2Rz9YST5T5O6N1omWhIwWL
 kgCw==
X-Gm-Message-State: ACgBeo0+jMQW3cmVsVGG0ubmp4TIclzMUqoOV3LtoLI6zbWybHZXvB4W
 5whwczXMKTGAb5mpW6KdjwU=
X-Google-Smtp-Source: AA6agR746dseGj2r7mTrsvyg2OdoW5GeXxWWskbiSJ5GNwNK3sEPDREOyA/g6yy4m4vN0RXM2jKLfg==
X-Received: by 2002:a05:600c:35c7:b0:3a3:2612:f823 with SMTP id
 r7-20020a05600c35c700b003a32612f823mr4422897wmq.33.1659701855016; 
 Fri, 05 Aug 2022 05:17:35 -0700 (PDT)
Received: from localhost (internet-185-112-167-50.cznet.cz. [185.112.167.50])
 by smtp.gmail.com with ESMTPSA id
 t18-20020a05600c199200b003a31c4f6f74sm10355689wmq.32.2022.08.05.05.17.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 05:17:34 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <87mtciao47.fsf@HIDDEN>
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <87mtciao47.fsf@HIDDEN>
User-Agent: Notmuch/0.36 (https://notmuchmail.org) Emacs/29.0.50
 (x86_64-pc-linux-gnu)
Date: Fri, 05 Aug 2022 14:18:46 +0200
Message-ID: <20220805141846+0200.613692-stepnem@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 05 Aug 2022 14:09:12 +0200
Lars Ingebrigtsen wrote:

> =C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:
>
>> emacs -Q (default GNU/Linux build, make bootstrap)
>> C-\
>>
>> [No completions, no input method activated. `input-method-alist' is empt=
y.]
>>
>> (activate-input-method "czech")
>>
>> =3D> (error "Can=E2=80=99t activate input method =E2=80=98czech=E2=80=99=
")
>
> I'm unable to reproduce this.
>
> Please include the data that `M-x report-emacs-bug' reports; perhaps
> it's a combination of config options that leads to this.

No config; fresh checkout, make -j8.

Then I tried just `make bootstrap` (without -j), too, same thing.
Tip of master (c388578fb1aa).

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:13:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:13:46 2022
Received: from localhost ([127.0.0.1]:56513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwD4-0005w3-L4
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:13:46 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:33420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1oJwD0-0005vf-OG
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:13:45 -0400
Received: by mail-wr1-f48.google.com with SMTP id v3so3118588wrp.0
 for <56998 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 05:13:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=m1Tt6nfswQeZv8iEY5fFab8fgvN3RHKTDICkOs8Cv/A=;
 b=hHFHWNrMzT4Xx6vtD6Cn5y7P06nE87fvmM+96efuL3EOQfnnRsjFoNvT90V8TLCMIZ
 pKLXQjlZ48bP3eVmK/kWdvqYWUzEl9kv6KeAxUNv2J6+x9BVhT3MGqiQMHxUMvpeYncV
 6ZQ/qE59B4WEKt+Y/aeJOe2kQfEmB52HWLRw5wwqIOrnxT8MRoXcbG+rWvHy3HdXAvOA
 sGGxqrKXCqu7ala4xK4opAIJjjbgu4K/mLdZUZhl93gzbULrSwJKLpJ/K1Z63HJMeFUM
 eqsN+tOWHu2R85kTa15YxRWZgc7N5tNHZLYCf6m+NXf1AXOPZroamXcQXhG7/NhZZhvS
 gojQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=m1Tt6nfswQeZv8iEY5fFab8fgvN3RHKTDICkOs8Cv/A=;
 b=Z05RbRbSpvygCGcfjKZNCAf9UHYqz87CHFIllHkdlrxTxTboQvDoAfW4ZjWr5JSTYw
 QqHZHEUJwmFsj7yUGcdREg2p7R5W5UposmFtH4ggv3lM/ZLQT6Y8I5+2tu0Y461jbYPA
 lbKDhSvW6NdQpXu2OWNphUartYInsa7SxaOEWs4h234lbdimjvAEKKkVpQA3WZ16owPP
 Kx/g9QieLEmb3eqrQgWYT2qzz47mRk2oiiC7UNsCITSp3CTgvdqMVbivNVjeWYRYacuX
 FesExZu9o6NT+oxW6wyu+9rgkJuuiIEPIbGR/oRHOx4xwMjhMNZhBWRbPCUX0cij4EMZ
 nVFg==
X-Gm-Message-State: ACgBeo2VitFBpT8bG4Q62AQoiSDN0EvB42rpB2/pDMtRwjfN3sYqXRll
 ZkT03dohGNxXCVjc5sbB8No=
X-Google-Smtp-Source: AA6agR53OBFXd/3jjI1FAEHLrNvg2R6dvaY+pZp2AJMl+2J5axI/biHP8JpFGz0mgXHKncl0l7xzCA==
X-Received: by 2002:a05:6000:178f:b0:21e:98ee:f1e6 with SMTP id
 e15-20020a056000178f00b0021e98eef1e6mr4101933wrg.405.1659701616846; 
 Fri, 05 Aug 2022 05:13:36 -0700 (PDT)
Received: from localhost (internet-185-112-167-50.cznet.cz. [185.112.167.50])
 by smtp.gmail.com with ESMTPSA id
 h28-20020a05600c2cbc00b003a4f08495b7sm10528452wmc.34.2022.08.05.05.13.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 05:13:36 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <83czdf0xnv.fsf@HIDDEN>
References: <20220805104841+0200.871739-stepnem@HIDDEN>
 <83czdf0xnv.fsf@HIDDEN>
User-Agent: Notmuch/0.36 (https://notmuchmail.org) Emacs/29.0.50
 (x86_64-pc-linux-gnu)
Date: Fri, 05 Aug 2022 14:14:47 +0200
Message-ID: <20220805141447+0200.671903-stepnem@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 05 Aug 2022 13:53:08 +0300
Eli Zaretskii wrote:

>> Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>
>> From: =C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec
>>  <stepnem@HIDDEN>
>> Date: Fri, 05 Aug 2022 10:48:41 +0200
>>=20
>> emacs -Q (default GNU/Linux build, make bootstrap)
>> C-\
>>=20
>> [No completions, no input method activated. `input-method-alist' is empt=
y.]
>>=20
>> (activate-input-method "czech")
>>=20
>> =3D> (error "Can=E2=80=99t activate input method =E2=80=98czech=E2=80=99=
")
>
> I cannot reproduce this with the current master.
>
> Did you try "make bootstrap"?

Yes (I said so in the bug report).

Now I even tried with a fresh repo checkout, then also `make bootstrap`
without the -j option. Still the same as of commit c388578fb1aa.

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 12:09:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:09:27 2022
Received: from localhost ([127.0.0.1]:56488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJw8t-0005nS-MJ
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:09:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oJw8s-0005nB-6r
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:09:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=YqeMI6xK7mjJxSG+UntQB7snvEqT3JQzLZUqfL0vNQ0=; b=HTPttM2v6wAaXS0ZZe1JnZXjnw
 45j/pvZ3Ux9hvRN1HKOEdElfoFIaPB2ADcldIcHMFwHYP4w1YiJvrPUJDdkZkNqBTvaijxyu4+nj5
 IUBjJMAAW5K0PAOIcxbqSu38fcbcI5WSE9nToQSTP91LhukQsU641a1S4UF1l3cfJAFc=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oJw8k-000188-BG; Fri, 05 Aug 2022 14:09:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50; quail input methods broken
 (input-method-alist empty) on master (since 261d6afd6)
In-Reply-To: <20220805104841+0200.871739-stepnem@HIDDEN>
 (=?utf-8?B?IsWgdMSbcMOhbiBOxJttZWMiJ3M=?=
 message of "Fri, 05 Aug 2022 10:48:41 +0200")
References: <20220805104841+0200.871739-stepnem@HIDDEN>
X-Now-Playing: Keith Jarrett's _The =?utf-8?Q?K=C3=B6ln?= Concert_: "Part I"
Date: Fri, 05 Aug 2022 14:09:12 +0200
Message-ID: <87mtciao47.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Štěpán Němec <stepnem@HIDDEN> writes: > emacs -Q (default
    GNU/Linux build, make bootstrap) > C-\ > > [No completions, no input method
    activated. `input-method-alist' is empty.] > > (activate-input-method "czech")
    > > => (error "Can’t ac [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

> emacs -Q (default GNU/Linux build, make bootstrap)
> C-\
>
> [No completions, no input method activated. `input-method-alist' is empty=
.]
>
> (activate-input-method "czech")
>
> =3D> (error "Can=E2=80=99t activate input method =E2=80=98czech=E2=80=99")

I'm unable to reproduce this.

Please include the data that `M-x report-emacs-bug' reports; perhaps
it's a combination of config options that leads to this.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at 56998 <at> debbugs.gnu.org:


Received: (at 56998) by debbugs.gnu.org; 5 Aug 2022 10:53:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 06:53:16 2022
Received: from localhost ([127.0.0.1]:56354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJux9-0001cy-Qg
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 06:53:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oJux8-0001cm-N1
 for 56998 <at> debbugs.gnu.org; Fri, 05 Aug 2022 06:53:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48056)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oJux3-00058W-Cb; Fri, 05 Aug 2022 06:53:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=AnpULPadHZPZE1AhBAVmIRm5OJP7Czl4VGaeHfNZIg8=; b=hsxWfnAbaK195VU5SE2X
 pH3ruGJ1AxG3MviIlfIJUEHTzUa3L6USwEX40OOx3LGSEi1/5dIHc0ZfzzCV4aN72Hsem0GniX5a4
 727eIuX9VgtxC5y62mp6PaYtrt39zPjUZY6CRQ4ykWtlsVmebr3kI/ZOIgENMODdugWQSotRo8Cje
 wRPuIrZj9DMUowlv3oTlvaaXFGFxFPfINYfiLOzFVd1DqYzElbUfMHVxoGtWkxEy3fnHVKzNzGOto
 SZk6Jsez+crn/5H5prFPGygg6tGDiK8cBYczlvjtKVMbj1Z1pCe4N9L3CSkRLy2T8T/8mhrL+ZD73
 djY6w/p4C7/3zQ==;
Received: from [87.69.77.57] (port=1390 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oJux2-0000VP-SJ; Fri, 05 Aug 2022 06:53:09 -0400
Date: Fri, 05 Aug 2022 13:53:08 +0300
Message-Id: <83czdf0xnv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
In-Reply-To: <20220805104841+0200.871739-stepnem@HIDDEN>
Subject: Re: bug#56998: 29.0.50;
 quail input methods broken (input-method-alist empty) on master
 (since 261d6afd6)
References: <20220805104841+0200.871739-stepnem@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56998
Cc: 56998 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>
> From: Štěpán Němec
>  <stepnem@HIDDEN>
> Date: Fri, 05 Aug 2022 10:48:41 +0200
> 
> emacs -Q (default GNU/Linux build, make bootstrap)
> C-\
> 
> [No completions, no input method activated. `input-method-alist' is empty.]
> 
> (activate-input-method "czech")
> 
> => (error "Can’t activate input method ‘czech’")

I cannot reproduce this with the current master.

Did you try "make bootstrap"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Aug 2022 08:47:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 04:47:49 2022
Received: from localhost ([127.0.0.1]:56136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJszk-0006Ua-LD
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 04:47:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:34774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1oJszg-0006U3-6g
 for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 04:47:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40174)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stepnem@HIDDEN>) id 1oJszf-0001Zn-Ni
 for bug-gnu-emacs@HIDDEN; Fri, 05 Aug 2022 04:47:43 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:39627)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stepnem@HIDDEN>) id 1oJsze-0001OB-9x
 for bug-gnu-emacs@HIDDEN; Fri, 05 Aug 2022 04:47:43 -0400
Received: by mail-wr1-x429.google.com with SMTP id h13so2465168wrf.6
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Aug 2022 01:47:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=TyEELrGIoA8mVjXV8VO663sKyw03HwxW6ypmfy7nT78=;
 b=ACqFs7tIPgF7R+QvAG4/6z3IdTjg7kuui83mcPmrPjl8iRLcHWhwp5a7123TgQDrwh
 zGVkgrLNHTFadSLf1UWM2RzeGihb20PKfwpl5NwUEBLLWuZlQsYzQ777rRNDi/8Q4zHz
 YbzCXBd7DPR/Os2NN2nNRdXhlKPSqRRfn/AdCBIWIQHAlkPMdP/B8UTQ4seazQ9IiMhM
 v5JCdDZdwTwOlNb5Mm3UE/OlJ+8fKN8x8/tC8+UEFv59HUTuVET4T4OXMwF4E0eHLZYm
 opmyjzKYheKDLaNIBASoU0XCKSPtLrTJIg0cyzUulPAKT6l5n/NTKuNxLp76b0tNUdHt
 Sdyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=TyEELrGIoA8mVjXV8VO663sKyw03HwxW6ypmfy7nT78=;
 b=m+33jrEmKeMi3cP3NqqRPWb55VcjwLak4oekc8g9BFZLAQF51JPUieH2thc/5y8T9Y
 I1B5UJEtlREO8AB7XCbzIPzrttxca31WQlWgEfbybXOt2C5sDHhKajSIK7QCO8jGDEOY
 ZVj/OZtByKEpSbiZUPW81fpDQP19tb1GULEcMi35WwgFLPDhzi/7XAHdQmhkowy6wcko
 2teyY9B5mIuivOudaP8QdZgb6aBCbNStMZgYGDvOH44Fo8bqqywly5DHIptGU8SVb0nY
 BcyppbzVnoJVtE4XeOzVbghSjhbVXdzRtlEEOUR6/gDWQf6R7fnJskkL7IkenE4jIh10
 dCWQ==
X-Gm-Message-State: ACgBeo1MCuTHDvQyp1RlBqBxHWYUmDPSuabNtHaBVwNxVrCKwtht3v+x
 3u/kPermeaktgb3upzFE9/Gu3S9v2gc=
X-Google-Smtp-Source: AA6agR7Ap4oddWwg1mWFWjqCbT/4B8+CYO6GPF4+pCKbNCOuOUkNb2EjsOi2mWFCEctSYUAhJ/uG7Q==
X-Received: by 2002:a05:6000:1f10:b0:220:7a2a:bd9e with SMTP id
 bv16-20020a0560001f1000b002207a2abd9emr3509854wrb.423.1659689259979; 
 Fri, 05 Aug 2022 01:47:39 -0700 (PDT)
Received: from localhost (internet-185-112-167-50.cznet.cz. [185.112.167.50])
 by smtp.gmail.com with ESMTPSA id
 n11-20020a05600c500b00b003a4fb64efcasm8058300wmr.26.2022.08.05.01.47.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 01:47:39 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; quail input methods broken (input-method-alist empty) on
 master (since 261d6afd6)
Date: Fri, 05 Aug 2022 10:48:41 +0200
Message-ID: <20220805104841+0200.871739-stepnem@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::429;
 envelope-from=stepnem@HIDDEN; helo=mail-wr1-x429.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

emacs -Q (default GNU/Linux build, make bootstrap)
C-\

[No completions, no input method activated. `input-method-alist' is empty.]

(activate-input-method "czech")

=3D> (error "Can=E2=80=99t activate input method =E2=80=98czech=E2=80=99")

First bad commit:

commit 261d6afd6e6f
Author: Lars Ingebrigtsen <larsi@HIDDEN>
Date:   Wed Aug 3 14:22:08 2022 +0200

    Byte-compile the in-tree loaddefs.el files

--=20
=C5=A0t=C4=9Bp=C3=A1n




Acknowledgement sent to Štěpán Němec <stepnem@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56998; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Aug 2022 12:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.